


                                       Preface


     The purpose of the I-Team manager is to provide a specialized
     scheduling system for managing client treatment planning.  The
     treatment planning process requires that all entities in the system
     with any responsibility for a client agree on a unified treatment plan
     within a certain time frame.  That this plan be reviewed periodically
     and that a new plan be put together at each calendar year anniversary
     of a client's entry into the system, until such time as he/she may
     leave the system.

     I-Team's purpose is basically that of a sophisticated tickler -- of
     events that must take place in the treatment planning process, and
     within any review periods.

     I-Team can be set up in such a way that users need no familiarity with
     computer system administration.  However, someone should be available
     (either within your organization or contracted outside) to perform
     routine maintenance and trouble shooting.

     An IBM personal computer (80386 or better) is recommended.  For
     improved performance, it is highly recommended that the user obtain at
     least three megabytes of extended memory.  A color monitor and a mouse
     are also recommended.

     I-Team can manage up to 4 printers, permitting printers to be
     dedicated for special forms.  These can be any printers that
     communicate with DOS via standard device names, including serial
     printers.

     Considerable effort was expended to make the user reference manual as
     complete as possible.  For more information, consult the configuration
     manual.  If you have any questions concerning this application,
     however, please feel to write or call.





















                                     - Page 1 -


                             Copyright/License/Warranty


     This document and the program I-Team ("the software") are copyrighted
     by the author.  The copyright owner hereby licenses you to use the
     software given these restrictions:

          o  the program shall be supplied in its original, unmodified
             form, which includes this documentation;

          o  for-profit use without a license is prohibited;

          o  the program may not be included - or bundled - with other
             goods or services.  Exceptions may be granted upon written
             request only.

          o  no fee is charged beyond a reasonable amount for the media
             and handling ($10 maximum suggested);

          There is no warranty of any kind.  The copyright owner may not
          be held liable for any damages, including any lost profits or
          other incidental or consequential damages arising out of or
          inability to use the software.  By using the software, you agree
          to this.

          Copyright (C) 1987-2002 Dennis Allen.  All rights reserved.  All
          trademarks mentioned herein belong to their respective owners.





























                                     - Page 2 -


                                  TABLE OF CONTENTS


     Preface.............................................................1
     Copyright/License/Warranty..........................................2
     Introduction........................................................5
      Manual Content ....................................................5
     Invoking I-Team.....................................................8
     Creating Sample Data...............................................11
      Adding a Client Record ...........................................14
      Forms editor .....................................................17
       Forms Memo ......................................................17
       Mail Merging ....................................................18
      Participant Editor ...............................................19
      Task Editor ......................................................20
      Client Planning Model ............................................20
       Critical Events .................................................22
      Client Participants ..............................................23
      Quit to main menu ................................................23
     Printing Reports...................................................24
      Schedules Report .................................................24
      Memos Listing ....................................................25
      Labels ...........................................................26
      Quit .............................................................26
     System Setup.......................................................27
      Expression Builder ...............................................28
      Printer Control Codes ............................................29
       Printer Devices .................................................29
       Printer Assignments .............................................33
      Change Color Set .................................................34
       Customizing Color Sets ..........................................35
       Color Schemes ...................................................35
       Color Pairs .....................................................39
         Character Code Color ..........................................39
         Character Code Example ........................................40
         RGB Color .....................................................41
         RGB Example ...................................................41
         Color Pair List ...............................................42
      Problems & Suggestions ...........................................42
      All About... .....................................................43
      System Date ......................................................43
      Edit System Data .................................................43
      Main Menu Password ...............................................43
      Display/Print Manual .............................................44
      Quit .............................................................44
     Utilities..........................................................45
      Maintain Planning Model ..........................................46
      Generate Planning Model ..........................................46
      Record Completion ................................................47
      Rebuilding Indices ...............................................47
      Initializing Databases ...........................................47
      Purge Planning Model File ........................................48
      Purge Client Tickle File .........................................48
     Quit to DOS........................................................49
     Appendices.........................................................50
      Appendix A/ Generic Editor .......................................50
                                     - Page 3 -


                                  TABLE OF CONTENTS


      Appendix A-1/ Foxpro System Menu .................................57
       Sysmenu edit ....................................................57
       Foxpro Calculator ...............................................57
       Foxpro Calendar .................................................58
       Foxpro DOS Shell ................................................58
       Print Setup .....................................................58
       Print Mode ......................................................58
       Printer Eject ...................................................58
       User Manual .....................................................59
       Configuration Manual ............................................59
       Video Mode ......................................................59
      Appendix B/ Data Files ...........................................60
       Forms Memo Macros ...............................................60
       Backup/Restore Data files .......................................62
      Appendix C/ Error Handling .......................................63
       Verification ....................................................63
         Bad Record Count ..............................................63
         Invalid/missing memo file .....................................64
         Visual Foxpro DBF File ........................................64
       Disk Space ......................................................65
       Printer not Ready ...............................................65
       Multi-User Errors ...............................................66
       Syntax Error ....................................................66
     Glossary...........................................................67
     Index..............................................................70




























                                     - Page 4 -


                                    Introduction


     The purpose of the I-Team manager is to provide a specialized
     scheduling system for managing client treatment planning.  The
     treatment planning process requires that all entities in the system
     with any responsibility for a client agree on a unified treatment plan
     within a certain time frame.

     The treatment planning model basically consists of records that
     represent events which must occur.  Each event will occur a set number
     of days after the treatment planning process begins.  Each event has a
     duration, also expressed in days.  A duration of zero indicates a
     self-contained occurrence of something; a duration greater than zero
     indicates an event that starts on a particular day with an object of
     completion in the future.

     Additionally, each event carries a flag that indicates whether or not
     it is a "critical event".  A critical event is an event which must
     stay on track.  All other events are related to some critical event.

     Each event may have a "form" which I-Team will print to initiate or
     reinforce the event.  For instance, an event might automatically print
     an internal memo to the appropriate nurse with instructions to set up
     a meeting.

     Before continuing, we should explain a couple of terms.  I-Team stands
     for Interdisciplinary Team.  I-Team has three operating modes:
     protected, main menu and system administration.

     The "protected" mode simply prevents the user from entering the I-Team
     without the proper password.

     The "main menu" mode allows authorized use of the I-Team system.  The
     user may maintain client information and perform normal transaction
     operations.

     The "system administration" mode provide functions not needed for day
     to day operations (such as generating a new set of planning models).
     You should always have at least one person installed and authorized as
     system administration.

     I-Team has two functional modes:  "Single-user" and "Multi-user".  In
     single-user mode, the user has exclusive access to all data files.  In
     Multi-user mode, a number of users may maintain data files, at the
     same time.










                                     - Page 5 -


                                    Introduction


     When we refer to an "editor", it is a program module that allows us to
     add, delete, or change database records. The word "edit" means to
     update, maintain, or change a database record.

     When we refer to a "window", it is a section of the screen that is
     receiving output.  Windows may overlap each other on the screen.  They
     are characterized by a double line border and usually have some sort
     of title.

     A "record filter" determines the access allowed to a database.  Only
     those records, defined by a record filter, may be viewed, edited, or
     printed.  Record filters are created/selected using an "expression
     builder".

     Finally, when we say "DOS", we refer to the disk operating system.
     It's usually MS-DOS, but could be Microsoft windows, UNIX, or even the
     Macintosh OS.

     The following sections of this manual will describe how to create
     sample data, how to record transactions, and how to print reports.
     Each menu option will be illustrated.  Appendices are included to
     describe all the files in the I-Team system, the generic operations of
     all edit menus, error handling, and how to recover lost data.






























                                     - Page 6 -


                                    Introduction


                              Notation Conventions

     CAPITAL LETTERS
          Capital letters indicates a command.  During command entry, this
          text should be entered exactly as it appears.  Unless specified,
          any command may be in upper or lower-case letters.

     lower case
          Parameters to commands are usually typed in lower-case
          characters.

     Ellipsis "..."
          The ellipsis represent repetition of a previous item.

     Single Key "[ ]"
          The single key command is represented by the characters "[" "]".

     Control keys
          Control keys are designated with a "[Ctrl]-" followed by the name
          of another key (for example: [Ctrl]-[S]).  To enter a control
          key, press [Ctrl] on your keyboard and, while holding it down,
          press the additional key.  On some Foxpro menus, control keys are
          designated with a "^" followed by the name of another key (for
          example: ^[End] for [Ctrl]-[End]).

     Carriage Return
          Depending on your keyboard, the same key may be represented by
          different descriptions.  For example, the carriage return may be
          represented as [Enter], [Return], or [Bent arrow symbol].

     Alternate key
          On an IBM PC keyboard, alternate keys are designated with a
          "[Alt]-" followed by the name of another key (for example: [Alt]-
          [V]).  To enter an alternate key, press [Alt] on your keyboard
          and, while holding it down, press the additional key.

          On a Macintosh keyboard, [Alt] is produced by holding down both
          the [Ctrl] key and the [Option] key.  To produce [Alt]-[V], for
          example, you must press [Ctrl], [Option], and [V] at same time.

          On a Unix keyboard, [Alt] cannot be used.  But most [Alt]
          combinations will have alternate keystrokes.  For more on Unix
          keystroke equivalents, see the file called READFPU.TXT.

          Unix note:  This application normally defines [F10] to complete
          user input.  Unix, however, uses [Ctrl]-[W] to complete user
          input.  [F10] is used instead of [Alt] to activate the Foxpro
          system menu (see Appendix A-1).





                                     - Page 7 -


                               Invoking I-Team System


     The purpose of this section is to help you get started using I-Team.
     Your computer should be running and you should be at the DOS prompt
     (in your startup directory).

     You should have already installed the I-Team application and the
     Foxpro runtime unit.  You should also have a functional backup
     procedure (See Appendix B).  To invoke I-Team, at the DOS prompt,
     type:

          ITM

     and press [Enter].  All database files are verified (see Appendix C).
     Now you will enter the protected mode.  The following screen will
     appear:



                     I-Team Management System, Version 02.00.00
                             (c) 1988 Dennis Allen
                              All rights reserved

                              I-Team Protected Mode

                    Enter password:



     In this "protected" mode, you will be prompted for the main menu
     password.

     If you have just installed I-Team, the main menu password will be
     blank.  Therefore, just press [Enter].  Later on, you may change the
     main menu password from the system setup menu.

     Having entered the correct password, you will be allowed to enter the
     full program (main menu mode).   The following menu will be displayed:

















                                     - Page 8 -


                               Invoking I-Team System



                    I-Team Management System, Version 02.00.00
                             (c) 1988 Dennis Allen
                              All rights reserved

     -----------------------  M A I N    M E N U -----------------------

                         1 - Maintain Support Files
                         2 - Print Reports
                         P - Return to protected mode
                         S - System Setup
                         U - Utilities
                         M - Change Status (Single-User)
                         Q - Quit this program


                              Make a selection: _



     "Maintain Support Files" provides for maintaining client records,
     participant records, and forms.

     "Print Reports" provides for client listings, schedules, forms,
     labels, and other general reports.

     "Return to protected mode" will place the user back at the "Enter
     password" prompt.

     "System Setup" allows you to change the main menu password, and
     printer codes.  It also allows you to select record filters from the
     expression builder.

     "Utilities" include recovery for corrupted indices, definition of
     planning models, deletion of completed models, etc.

     "Quit" will, of course, terminate I-Team and return you to the
     operating system command prompt.

     By default, this application runs in multi-user mode.  In multi-user
     mode, option 'M' allows the system administrator to switch to single-
     user mode.  To perform tasks like rebuilding indices.  If you are
     running in multi-user mode, you should assign at least one person as a
     system administrator.  Please refer to the configuration manual for
     more information.

     There are a couple of ways to select an option.  One way is to simply
     press the highlighted key, (example: press [S] for system setup).
     Another way is to press the up and down cursor keys to highlight the
     desired option.  Then, by pressing [Enter], the highlighted option is
     selected.


                                     - Page 9 -


                               Invoking I-Team System


     Note:  If you have a mouse, you can move the mouse cursor to the
     desired option.  Pressing the left mouse button will then select the
     option.


















































                                     - Page 10 -


                                Creating Sample Data



     The first thing we need to do is create sample data.  It is assumed
     that you typed the correct password at the protected mode prompt and
     have gotten to the main menu.  At the main menu, press [1].  The
     following screen will appear:



                    I-Team Management System, Version 02.00.00
                             (c) 1988 Dennis Allen
                              All rights reserved

     ------------------------  E D I T   M E N U  ----------------------

                          1 - Edit Client Files
                          2 - Edit Forms File
                          3 - Edit Participant File
                          4 - Edit Task File

                          Q - Quit this menu

                                Make a selection: _



     Option '1' allows the operator to create and maintain client records.

     Option '2' defines the form letters, if needed, for scheduled events.

     Option '3' defines all the participants needed for all clients.

     Option '4' will define the task description of events.

     We will first create a sample client.  At the edit menu, press [1].
     The following screen will appear:


















                                     - Page 11 -


                                Creating Sample Data



                              Client Account Maintenance
     -------------------------------------------------------------------
     Client code:
     Last name:                  First name:
     Address:

     City:                       State:     Zip:
     Soc Sec # :   -   -         Phone:

                                      Team Assignment:
                                      Primary Staff:

     Date Added    :  /  /            CFM:
     Date Active   :  /  /
     Date Completed:  /  /
     I-Team Date   :  /  /            I-Team Time:   :  :

            Client Model                Participants
            Toggle Index (Client Code)  Toggle Order (Ascending)
            Add    Browse Delete Find   Goto   Help  Recall Update  Quit



     This screen is typical of the file editors used within I-Team.  At the
     bottom of the screen are all the one-character options available to
     the user.

     Like the main menu, there are three ways of selecting a function.  By
     direct keystroke, by the cursor keys and [Enter], or by the mouse.
     Before continuing, we will briefly describe each function.

                                  Add Function

     Pressing [A] will allow you to add a record to the client database.
     The cursor will be positioned on the first field in the record,
     "Client code".  Whether adding or updating a record, there only a few
     keystrokes you need to know.

     You can move the cursor from field to field using the arrow keys.  For
     instance, the Right arrow, the Down arrow, and the Enter key, moves
     the cursor forward one field at a time.  The up arrow moves the cursor
     back one field.

     Note:  If you have a mouse, you also can move from field to field.
     Simply move the mouse cursor to the desired field and press the left
     mouse button.

     The [Home] key will move the cursor to the beginning of a field.  If
     it is already there, [Home] will move the cursor to the first field in
     the screen.  [End] will move the cursor to the end of the field.  If
     it is already there, [End] will move the cursor to the last field in
     the screen.
                                     - Page 12 -


                                Creating Sample Data



     If you need more information on any field, press [F1].  If there is
     help information, a help window will be displayed.  The help window
     will remain until you press either [Esc] or [F10].

     Note:  If you have a mouse, move the mouse cursor to the desired
     field.  Press the right mouse button, once to move to the field, and
     once for the help text.

     After you have entered your data, moving the cursor beyond the last
     input field on the screen tells the editor to accept the record.  You
     can either use the arrow keys to move the cursor, or press [F10].
     [Esc] will abort any updating, returning the screen to its original
     condition.

                                Browse Function

     Pressing [B] will invoke the Foxpro browse function.  The browse
     function will display as many database records as will fit on one
     screen.  You use the arrow keys to move from record to record.
     Pressing [F10] will return you to the edit screen.  The browse
     function is explained in more detail in Appendix A.

                                Delete Function

     Pressing [D] will allow you to delete the currently displayed record.
     You will be prompted whether you are sure.  Pressing [Y] deletes the
     record from the database.

                                 Find Function

     Pressing [F] will invoke the find function.  This option is a quick
     way of finding a desired record.  Since the current database is
     indexed by client code, this option will prompt you for the client
     code.  You would type the desired code, and press [Enter].  If found,
     the desired client would be displayed.  You could then perform any
     desired function on that client's record.

                                 Goto Function

     Pressing [G] will create a pop-up menu.  This popup menu allows the
     user to display different records in the current database.  Press [F]
     for the first record in the database.  Press [L] for the last record.
     Press [N] for the next record.  Press [P] for the previous record.
     The goto window remains active until you press [Esc] or [Q] to quit.
     The goto function is explained in more detail in Appendix A.

                                 Help Function

     Pressing [H] will display a summary of all commands used in the edit
     menu.  Pressing any key after that returns you to the edit menu.


                                     - Page 13 -


                                Creating Sample Data


                                Recall Function

     When available, pressing [R] allows you to recall a deleted record.
     You will be presented with a browse window of all deleted records.
     Simply locate the record to be recalled and press [Enter].

     To enable this feature, see your configuration manual.


                             Toggle Index Function

     For a database with multiple indices, the toggle option will be
     displayed.  The toggle option allows the user to change what index
     will be used with the [F]ind option.  The current index is displayed
     in parenthesis.

     For example, if the current index is by client code, pressing [T] will
     change the current index to last name.  Upon pressing [F], the user
     will be prompted for the last name, first name.  Pressing [T],
     repeatedly, will eventually return you to the client code index.

                             Toggle Order Function

     This option toggles the order of the current index.  The current order
     is displayed in parenthesis.

     For example, if the current order is ascending, pressing [O] will
     toggle the order to descending.  If the current index is by last name,
     then 'ALPHA' will come after 'BETA'.  Pressing [O] again will change
     the current index back to ascending.

                                Update Function

     Pressing [U] allows you to update the currently displayed record.
     Like the add function, pressing [F10] will complete the update.
     Pressing [Esc] will abort the update.

                                 Quit Function

     Finally, pressing [Q] will return you the menu that invoked the
     editor.  For more information on the capabilities of this type of
     editor, see Appendix A.


                             Adding a Client Record


     The remainder of the options deal with the desired client record, once
     it's on the screen.  [C]lient Model allows the operator to maintain
     the client's individual planning model(s).  [P]articipants allows the
     operator to define which participants are assigned to a client.  More
     on these options later in this section.

                                     - Page 14 -


                                Creating Sample Data


     Now that you have an idea how the editor works, you can add a record.
     Press [A] at the option prompt.  Fill in the following data for client
     "12345":


















































                                     - Page 15 -


                                Creating Sample Data



                              Client Account Maintenance

     Client code: 12345
     Last name: Smith            First name: John R.
     Address  : Metro Apartments
              : 123 Main St.
     City     : Grand Rapids     State: MI    Zip: 49505
     Soc Sec # :   -   -         Phone: 616-123-4567

                                       Team Assignment: 3
                                       Primary Staff  : Otis

     Date Added    :   /  /            CFM: N
     Date Active   :   /  /
     Date Completed:   /  /
     I-Team Date   : 01/01/1995          I-Team Time: 12:00:00



     In this screen we have defined client "12345" as John. R. Smith of
     Grand Rapids, Michigan.  He belongs to team #3 and otis is his primary
     staffer.  The fields "date added" and "date active" are only changed
     when a client record is added or updated.  The field "date completed"
     is the estimated completion date of the I-Team plan.  The field "CFM"
     indicates whether a client record was created in the Client Fund
     Manager system.

     The fields "I-Team Date" and "I-Team Time" are used to mark a critical
     event in a planning model.  It's typically the halfway point, where
     you would send out forms.  They can be used in the expression builder
     to narrow any client record search~1.

     Anyway, press [F10] when finished (or move the cursor past the last
     input field).  Client "12345" should now be included in the database.
     The editor remains in the Add mode and provides a fresh screen.  Since
     you don't want to add more clients at this time, press [Esc] to abort
     the add function.

     After creating sample data in other support files, we will be
     returning to this editor.  For now, press [Q] to return to the edit
     menu.








                         
     ~1 See System Setup.

                                     - Page 16 -


                                Creating Sample Data


                                  Forms editor


     A planning model event may include a forms which I-Team will print to
     initiate or reinforce the event.  From the edit menu, press [2].  The
     following screen will appear:



                             Forms Maintenance

      Form Code:

      Description:

      Instruction:

      Lines per page:    Left Margin:       Width:

          +------------------------ Forms Memo -----------------------+
          |                                                           |
          |                                                           |
          +-----------------------------------------------------------+

                                        Toggle Order (Ascending)
            Add    Browse Delete Find   Goto   Help  Update   Quit



     The edit functions are the same as other editors.  Press [A] to Add.
     Type "WRITEN" and press [Enter] for the forms code.  Type "Mail
     written participants to request input" and press [Enter] for the
     description.  Type "Enclose the Form with this mailing." for the
     instruction.  The next three prompts define the output of the form.
     Press [Enter], [Enter], and [Enter].


                                   Forms Memo


     You can now create the form letter itself.  You will be given a memo
     window.  This window behaves much like a word processor.  That is,
     sentences will wrap around to the next line.  Carriage returns mark
     the next of a paragraph.  [Ctrl]-[F10] will expand this window to full
     screen.  Pressing [F10] will complete this memo window, and the record
     itself.  Use the following form letter for our example:







                                     - Page 17 -


                                Creating Sample Data




     ^today

     ^pname
     ^paddress1
     ^pcity, ^pstate   ^pzip

     Dear ^pname,

        The annual treatment planning for ^cname is in process.  We are
     requesting input from people who are involved with ^cfname.  This
     allows us to have a holistic plan of treatment.

        I would appreciate your taking the time to fill out the enclosed
     form and mail it to me at ^agency by ^evend.  If you have any
     questions, please feel free to call me at ^aphone.  Thank you for your
     support.

                               Sincerely,


                               ^cstaff




     Note:  You now have the ability to move and resize the Forms memo
     window.  See the goto function in Appendix A.


                                  Mail Merging


     As in most word processors, the forms memo window provides a mail
     merge capability.  When this form is printed, for example, the macro
     [^today] will be converted to the system date.  The macro [^cname]
     will be converted to the client's full name.  The macros [^agency] and
     [^aphone] come from the system data.  The agency information you
     entered when you first started this application.  For a complete
     listing of all the macros available in a forms memo, see Appendix B.

     After completing this form, you will be prompted to add another form.
     Since we do not want to create any more forms at this time, press
     [Esc] to abort the add function.  Press [Q] to return to the edit
     menu.







                                     - Page 18 -


                                Creating Sample Data


                               Participant Editor


     The next step is to define your participants.  Participants are the
     ones who supervise client planning models.  From the edit menu, press
     [3].  The following screen will appear:



                             Participant Maintenance

     Participant Code: RWHITE
     Last Name       : WHITE                     First: RON
     Address         : 5511 MAIN NW
                     :
     City            : GRAND RAPIDS       State: MI  Zip: 49504

     Office Phone: 616 455-5600

     Alternate   :        -   0       CMH ~2 : Y

            Toggle Index (Participant Code)   Toggle Order (Ascending)
            Add    Browse Delete Find   Goto   Help  Update   Quit



     Press [A] to Add.  Use the above example to create a participant.
     Press [F10] to complete this record.  You will be prompted for another
     participant.  Add others, if you desire.  Otherwise, press [Esc] to
     abort the add function.  Press [Q] to quit the participant editor.



















                         
     ~2 Community Mental Health.  Indicates participant to receive copy of
     client's I-Team plan.

                                     - Page 19 -


                                Creating Sample Data


                                  Task Editor


     The final support file is the task file.  A simple file, allowing you
     to define event descriptions with simple codes.  From the edit menu,
     press [4].  The following screen will appear:



                             Task Maintenance

     Task Code:
     Description:

                                              Toggle Order (Ascending)
            Add    Browse Delete Find   Goto   Help  Update   Quit



     Press [A] to Add.  Add the following tasks:


     Task Code   : ATTEND
     Description:  Mail first notice of I-Team Attendee

     Task Code   : NURSE
     Description:  Nurse Completes nursing Assignments

     Task Code  :  SETDAT
     Description:  Input the I-Team date for this member

     Task Code  :  WRITEN
     Description:  Mail this to written part.  Enclose form 1.


     Press [F10] to complete each record.  If you wish, add other tasks.
     When finished, press [Esc] to abort the add mode.  Press [Q] to return
     to the edit menu.


                             Client Planning Model


     At this point, the next job would normally fall to the system
     administrator.  It would up to the system administrator to enter the
     utility menu and create the central planning model.  From this central
     model, the system administrator would generate the planning models for
     all clients.





                                     - Page 20 -


                                Creating Sample Data


     However, for purposes of convenience, we will skip these steps.
     Instead, we will create a client planning model~3 directly from the
     client editor.  From the edit menu, press [1] for the client editor.
     Client "12345" should be displayed.  Press [C] for the client planning
     model.  The following screen should appear:



     Model for John R. Smith (12345)

      Planning Date:               Time:          Completed:

      Task Code:

      Starting Date:          Ending Date:        Critical:

      Form Code:

                              Print Labels:       Verbal  :
                                                  Written :
                                                  Attend  :


            Toggle Index (Start Date)   Toggle Order (Ascending)
            Add    Browse Delete Find   Goto   Help  Update   Quit

























                         
     ~3 Also known as the client's tickle file.

                                     - Page 21 -


                                Creating Sample Data


     Each record represents an event.  A planning model is simply a set of
     events with the same planning date.  Press "A" to add events.  Type
     "01/01/1994" for the planning date.  Press [Enter] for the default
     planning time.  Type "WRITEN" and press [Enter] for the task.  Type
     "01/24/1994" and "02/06/1994" for the starting and ending dates of
     this event.  Press "Y" to indicate this is a critical event.  Type
     "WRITEN" and press [Enter] for the form code.  The last fields define
     the action taken on this event.  Type "Y" to "print labels" and
     "Written".  This event should be complete.  You will be asked for
     another event.  Enter the following events:

     Planning Date : 01/01/1994
     Task Code     : NURSE
     Start Date    : 01/02/1994
     End Date      : 02/02/1994
     Critical       : Y

     Planning Date : 01/01/1994
     Planning Time : 01:00:00
     Task Code     : ATTEND
     Start Date    : 01/24/1994
     End Date      : 02/06/1994
     Form Code     : WRITEN
     Critical       : N
     Attend        : Y

     When finished, press [Esc] to abort the add mode.  Notice that an
     event need not have a form.  Nor does it need to be critical.


                                Critical Events


     A word about critical events.  First, note that our first sample
     record was a critical event.  Our last sample was a non-critical event
     having the same starting and ending dates as the first sample, but
     with an earlier planning time.

     What's the significance?  Well, the system administrator will record
     the completion of events.  If a critical event is completed, all non-
     critical events, preceding the critical event, will also be marked for
     completion.  Events are recorded by starting date, ending date, and
     planning time.  Therefore, when our sample critical event gets marked
     completed, the preceding non-critical event will also get marked
     complete.


                              Client Participants





                                     - Page 22 -


                                Creating Sample Data


     Press [Q] to return to the client editor.  Now we have one more task.
     To define which participants will supervise this client.  At the
     client editor, press [P] for the client participant editor.  You
     should see the following screen:



                  Participant's for John R. Smith (12345)

     Participant Code:
     Type:

                                              Toggle Order (Ascending)
            Add    Browse Delete Find   Goto   Help  Update   Quit



     Press "A" to add.  Type "RWHITE" and press [Enter] for the participant
     code.  You will then be prompted for the Participant type.  Press "W"
     for written.  You will prompt for another record.  Press [Esc] to
     abort the add mode.

     Note:  When you print memos, any event marked "Written" will send it's
     defined form memo to this participant.

     Since we don't want to add any more participants, press [Q] to return
     to the client menu.  Press [Q] to return to the edit menu.


                               Quit to main menu


     That's all you need to know about the edit menu at this time.  When
     you have time, experiment with the many support file editors.  For
     now, simply press [Q] to return to the main menu.


















                                     - Page 23 -


                                    Print Reports


     In the first section of this manual we learned how to create sample
     data.  Now we are going to show you how to print reports.  You should
     be at the main menu.  Press [2] at the main menu.  You should see the
     following screen:



                       I-Team Management System, Version 02.00.00

     ------------------------- P R I N T    M E N U --------------------

          1 - Planning Model Edit List      A - Schedules
          2 - Client Edit List              B - Memos
          3 - Forms Edit List               C - Labels
          4 - Participant Edit List
          5 - Task Edit List

                         Q - Return to main menu

                                 Your selection: _



     The first report, listing the central planning model, is only
     available to the system administrator.  The next four reports are
     simple listing of the support files found in the edit menu.  We will
     not run a sample of these reports.


                                Schedules Report


     At the report menu, press [A] for the schedules report.  The schedules
     report lists all events from a given client model.  You will first be
     prompted for the index order:  [C]lient code, [S]tarting event date,
     or [E]nding event date.

     Next, you will be prompted for the client code.  You may print
     schedules for just one client, or press [Enter] for all client models.
     You will then be prompted for the team number.  Enter the desired team
     or press [Enter] for all teams.  You will be prompted for the task
     code.  Only those events, with the specified task, will be printed.
     Press [Enter] for all tasks.

     The next prompt allows you to print only critical events.  Press
     [Enter] for all events.  You will be prompted for a range of event
     dates.  Only those events, within the specified range, will be
     printed.  Pressing [Enter] twice will default to all events.

     Oh, only those events that have not been marked completed will be
     used.


                                     - Page 24 -


                                    Print Reports


     You will be given a menu of choices, depending on the report.  This
     menu, called an option grid, allows you to display a report before
     printing it.

     Pressing [S] for screen mode, or [P] for print mode, will start
     creating a print file.  During this operation, you can abort by
     pressing [Esc].

     If you pressed [S], you will see the report displayed upon the screen.
     Press [Pgup] or [Pgdn] to view the report.  Press [Esc] or [F10] to
     return to the option grid.

     Note:  To find out how many records are in the report, perform a
     screen display first.  Then use the mouse to grab the displayed window
     and drag it up.  The count should be at the bottom of the previous
     window.

     Pressing [P] will copy the report to the printer.  When you are
     finished, press [Q] to return to the print menu.

     Report Note:  At the end of each event record, [*] = Critical, [V] =
     Verbal, [A] = Attn, and [L] = Labels.

     Note:  If you need to adjust the printer devices or printer controls,
     use option S of the main menu.  See System setup.


                                 Memos Listing


     At the report menu, press [B] for memos.  This option will print the
     appropriate forms to the appropriate participants.  First, you will be
     prompted for the client code.  You may print memos for just one
     client, or press [Enter] for all client models.  You will then be
     prompted for the team number.  Enter the desired team or press [Enter]
     for all teams.  You will be prompted for the task code.  Only those
     events, with the specified task, will be printed.  Press [Enter] for
     all tasks.

     The next prompt allows you to print only critical events.  Press
     [Enter] for all events.  You will be prompted for a range of event
     dates.  Only those events, within the specified range, will be
     printed.  Pressing [Enter] twice will default to all events.

     A temporary file is then created.  One record for each
     event and client participant combination.  For every form that needs
     to be printed, you will be prompted.  Press [Enter] to print a form,
     [S] to skip it, or [Esc] to abort memos all together  You will be
     returned to the print menu.




                                     - Page 25 -


                                    Print Reports


                                     Labels


     At the report menu, press [C] for labels.  This option will print the
     appropriate mailing labels to the appropriate participants.  First,
     you will be prompted for the client code.  You may print memos for
     just one client, or press [Enter] for all client models.  You will
     then be prompted for the team number.  Enter the desired team or press
     [Enter] for all teams.  You will be prompted for the task code.  Only
     those events, with the specified task, will be printed.  Press [Enter]
     for all tasks.

     The next prompt allows you to print only critical events.  Press
     [Enter] for all events.  You will be prompted for a range of event
     dates.  Only those events, within the specified range, will be
     printed.  Pressing [Enter] twice will default to all events.

     A temporary file is then created.  One record for each
     event and client participant combination.  Labels will be printed by
     last name, first name.  During this operation, you can abort by
     pressing [Esc].  You will be then returned to the print menu.


                                      Quit


     Try printing a few reports.  Each report can be sent to one of four
     different printers.  Report destinations can be re-defined, however,
     in the system setup menu.  When finished, press [Q] to return to the
     main menu.























                                     - Page 26 -


                                    System Setup


     Option 'S' of the main menu offers several facilities.  Among them,
     the ability to change printer control codes.  Upon pressing [S] at the
     main menu, you should see the following:



                    I-Team Management System, Version 02.00.00
                             (c) 1988 Dennis Allen
                              All rights reserved

     -------------------  S Y S T E M   S E T U P  ---------------------

                         1 - Edit Expression Builder
                         2 - Edit Printer Control Codes
                         3 - Change Color Set
                         4 - Problems & Suggestions
                         5 - All about..
                         6 - System Date
                         7 - Edit System Data
                         8 - Main Menu Password

                         M - Display/Print Manual

                         Q - Quit this Menu


                                Your selection:



     Option '1' will invoke the expression builder.  The expression builder
     creates a record filter. Option '2' allows you to change printer
     control codes. Option '3' will allow you to change the current color
     set.  Option '4' will allow you to leave a message to the application
     author.  Option '5' will display status information about this
     application.  Option '6' allows you to change the I-Team system date.
     Option '7' allows you to view/modify system data such as your agency's
     name or address.  Option '8' allow you to change the main menu
     password.  Option 'M' allows you to display and/or print the user
     manual.  Option 'Q' returns you to the main menu.













                                     - Page 27 -


                                    System Setup



                               Expression Builder


     The expression builder allows you to select a record filter from a
     list of record filters.  A record filter defines those records in a
     database that can be viewed, edited, or printed.  The record filter is
     in effect only while your application is running.  Filters can be
     redefined as often as desired.

     At the system setup menu, press [1].  Upon entry, you will be given a
     list of existing record filters for the client database.  You could
     chose an existing filter.  Simply select the desired filter and press
     [Enter].

     You also might want to create a record filter.  As an example, go back
     to the client expression builder.  Press [F10] for the menu and [N] to
     create an expression.  Enter "Team #3" for the name of your
     expression.  You will be given a choice of the custom expression
     builder, or the Foxpro expression builder.  Unless you know how to use
     the Foxpro expression builder, select the custom builder.

     You will be given a popup list of available field names.  Select the
     field "Team".  The next popup will display the action that can be
     taken on "Team".  Select the popup "is equal to".  Now you will be
     prompted for a numeric value.  Type "3" and press [Enter].

     The record filter is displayed.  You may add, delete, or edit phrases
     in the expression.  But just press [F10] to accept the current one.

     That's all there is to it!  You've created a filter that views only
     people assigned to TEAM 3.  Press [Enter] to select the filter.  You
     will be returned to the system setup menu.  If you don't want to use
     this filter, simply return to the expression builder and press [Esc]
     to abort.

     Note:  If you are running on a network, the user resource directory
     might be shared.  If that is the case, you can still select record
     filters, but only the system administrator can create and maintain
     them.  For more information, refer to the configuration manual.













                                     - Page 28 -


                                    System Setup


                             Printer Control Codes


     At the setup menu, press [2].  The following popup will be displayed:



                    I-Team Management System, Version 02.00.00
                             (c) 1988 Dennis Allen
                              All rights reserved

     --------------------- S Y S T E M   S E T U P ---------------------

                   Device 1:
                   Device 2:
                   Device 3:
                   Device 4:
                   Printer Assignments
                   Quit


     The first four options will allow you to select printer codes for
     devices 1 thru 4.  "Printer Assignments" will allow you to assign any
     of these devices to certain reports, schedules, memos, or labels.
     "Quit" simply returns you to the system menu.


                         Printer Popup: Printer Devices


     Select "1" for printer device 1.  You should see the following:






















                                     - Page 29 -


                                    System Setup



                    I-Team Management System, Version 02.00.00
                             (c) 1988 Dennis Allen
                              All rights reserved

     --------------------- S Y S T E M   S E T U P ---------------------

         Printer Name         : Default
         Printer Device       : PRN
         Printer Default      : CHR(27)+"@"
         Printer 10 cpi       :
         Printer 12 cpi       :
         Printer Condense On  :
         Printer Bold      On :
         Printer Bold      Off:
         Printer Underline On :
         Printer Underline Off:
         Printer Font         :

         Number of Straight Lines/Page:         Print in Draft mode?
         Number of Sideways Lines/Page:      Print Number of Copies?


             Press [ESC] to abort and return to main menu...



                                  Printer Name

     The printer name simply identifies the current configuration.  If the
     printer code database is available (see configuration manual), you may
     press [F2] to select from it's list of printers.  Press [F10] to
     complete the screen, press [Esc] to abort any changes.  You may also
     press [Alt]-[P] to print a test report using the current settings (see
     test report, later in this section).

     Note: Upon pressing [F10], you might see the message "Resource files
     are read-only. Cannot save settings".  If you are running on a
     network, the user resource directory is probably shared.  If this is
     the case, only the system administrator can create and maintain
     printer control codes.  You can still change printer control codes,
     but just cannot save them permanently.  For more information, refer to
     the configuration manual.

                                 Printer Device

     The printer device defines where output is to be sent.  Typically, you
     would use LPT1 or LPT2.  In the Multi-user environment, this option
     also allows you to define the network spooler.  It is suggested,
     however, you let the network handle the spooling and stick with LPT?.



                                     - Page 30 -


                                    System Setup


     A new feature has been recently added.  With the printer device, you
     may now use an " ADDITIVE" clause.  For files, this will append output
     to an existing file.  For print devices, this clause might reduce
     paper waste on constantly opening and closing the print spooler.

     In Visual Foxpro, an even better feature has been added.  You can now
     specify any printer defined in your windows print folder.  Example:

     Printer Device:  [NAME "HP Laserjet 5L"]

     You may press [F3] for the list of available printers.  If you specify
     a print device of [DEFAULT], you will get the default printer.
     Finally, if you specify [NAME GETPRINTER()], you will be prompted for
     the desired printer, every time you send output to the printer.

                                 Printer Codes

     If you have an 80 column printer, define the control codes required by
     your printer to invoke compressed printing.  These control codes are
     sometimes referred to as 16.7 or 17 characters per inch.  Also define
     the control codes required to cancel condensed printing.  These
     control codes are sometimes referred to as the print default.  This
     application will use condensed codes in 132 column reports.  Printer
     control codes are specified with xBASE expressions such as:

     CHR(27) + CHR(64)

     or:


     CHR(27) + '@'

     In general, most printer manuals give printer control strings as BASIC
     programming statements using the BASIC function CHR$().  Use the xBASE
     function CHR() instead.

     Note:  If you press [F2], you will see a browse popup of available
     printers.  Simply select your printer and press [Enter].  All printer
     codes will be converted to the selected printer.

                                  Printer Font

     If you use non-draft mode, output is sent to the print spooler.  This
     prompt (windows only) can control the print spooler's font, pitch, and
     style used.  For example: ["courier new",9 style "B"] sets the font to
     courier new in 9 pitch, bold.  Press [F3] to select from a list of
     available fonts.

     Note:  This is a new feature, based on an undocumented Foxpro command.
     Might not work in all cases.  Depending on the version of Visual
     Foxpro, the font style might be ignored.


                                     - Page 31 -


                                    System Setup


                            Straight lines per page

     Most reports is this application are hard-coded.  No form feeds.  So
     to create space between pages, this application needs to know the
     total number of lines per page.  Dot matrix printers use 66 lines.
     Laser printers usually need 60 lines, though some may need 57 lines.

                            Sideways lines per page

     Sometimes a report will need to be printed sideways.  That is,
     landscape instead of portrait. So this application needs to know the
     number of lines to print sideways (landscape).  For a dot matrix
     printer, try 52 lines. For laser printers, try 57 lines.

     In the past, a wide column report would be coded to invoke a DOS
     utility called sideways (for setup, see configuration manual).  While
     still available, today most option grid reports can use the Windows
     print spooler.

     Before you run an option grid report, invoke the Foxpro system menu's
     print setup (see Appendix A-1).  From this dialog box, change the
     orientation from portrait and landscape.  When created, the report
     will then use the number of sideway lines per page.  When printed, the
     report will print via the print spooler (non-draft mode).

                                   Draft mode

     An option grid report creates a report file.  From the option grid,
     there are two ways to print this file:  Draft mode and non-draft mode.
     In draft mode, the report file is copied directly to the print device.
     Under MS-DOS Windows, draft mode bypasses the print spooler.  In non-
     draft mode, the report file is copied to the print device via the
     print spooler.

                                Number of Copies

     Using this option, you can print up to 999 copies of your report.  In
     either draft or non-draft mode.  The default is one.  If you specify a
     negative number, then you will be prompted for the number of copies to
     print at the actual time of printing.

     Note:  At this time, output sent directly to the printer (invoices)
     cannot recognize or use the draft mode and copy options.

                                  Test Report

     The ability to print in either draft or non-draft mode is very
     powerful.  With non-draft mode, for example, you can control the print
     spooler's font and font pitch.  Sideway (landscape) output is also
     controlled by the print spooler.  But many print spoolers cannot
     translate printer control codes correctly.


                                     - Page 32 -


                                    System Setup


     To test your printer settings, you can print a two page test report by
     pressing [Alt]-[P].  You will be prompted whether to print sideways.
     You will also be prompted whether to print printer codes (to test
     whether the report works with and without them).

     Your two page test report should print using the current print device,
     printer control codes (if specified), number of straight (or sideway)
     lines, and draft mode.  If you're printing sideways and landscape mode
     was not set, you will be prompted with the printer dialog box.  Change
     to landscape mode and the sideways test report should then print via
     the print spooler.

     Adjust the number of straight (or sideway) lines per page until the
     column header on page two line up with the column header on page one.
     If you find out that your sideways (landscape) report does not print
     printer codes, set them to empty or double quotes ("").

     Note:  If you need printer codes for normal (portrait) reports, but
     can't use them for sideways (landscape) reports, you may have to
     create a second application startup icon.  One with a different user
     resource directory (see configuration manual).  Then you can have one
     icon for normal (portrait) reports, and one icon for sideways
     (landscape) reports.


                                 Mailing Labels

     Press [F10].  If your printer device is defined for labels, you are
     prompted for Mailing Label information.  That is, label width, number
     of columns between labels, and number of rows between labels.  The
     column width determines the number of characters allowed for each
     label.  Pressing [F10] completes the screen and returns you to the
     printer device popup.


                       Printer Popup: Printer Assignments


     Select [2] from the system setup menu.  Select [A] from the printer
     code popup.  The following screen will appear:













                                     - Page 33 -


                                    System Setup



                    I-Team Management System, Version 02.00.00
                             (c) 1988 Dennis Allen
                              All rights reserved

     --------------------- S Y S T E M   S E T U P ---------------------

                   Printer Assignments

                     Report          Assign to printer
                   -------------     -----------------
                   Print Schedules
                   Print Memos
                   Print Labels
                   All Others

             Press [ESC] to abort and return to main menu...



     Press [Enter] twice.  Now type '1' for labels.  Now mailing labels
     will use print codes defined for print device 1.  If you wish to
     change where labels are sent (COM2 for example), you must change the
     definition in print device 1.  To change label width or lines, you
     must also edit print device 1.  Press [F10] when finished.  You will
     be returned to the print device popup.  Press [Q] to return to the
     system setup menu.


                                Change Color Set


     A Foxpro color set defines all color attributes used by this
     application.  Upon pressing [3] at the system setup, a popup menu will
     display all the different color sets available.  These color sets
     reside within the Foxpro resource file (FOXUSER.DBF).  Use the cursor
     keys to highlight the desired color set.  Then, select by pressing
     [Enter].

     Note: Upon pressing [F10], you might see the message "Resource files
     are read-only. Cannot save settings".  If you are running on a
     network, the user resource directory is probably shared.  If this is
     the case, only the system administrator can permanently select or
     customize a color set.  For more information, refer to the
     configuration manual.








                                     - Page 34 -


                                    System Setup


                             Customizing Color Sets


     A new feature has been added to the color selector.  You can now
     customize colors.  Once a color set has been selected, the color
     selector will search a second Foxpro resource file (FOXUSER2.DBF).  In
     this file, color sets are stored in ASCII text format.  If your color
     set is found in this second file, you will be prompted whether to edit
     the ASCII text of your color set.

     Now the ASCII text layout is simple.  Twelve lines for the twelve
     color schemes of a color set.  Each line containing ten color pairs.


                                 Color Schemes

     Line 1    User Defined Window (Scheme 1)
     Line 2    User Defined Menus  (Scheme 2)
     Line 3    Menu Bar            (Scheme 3)
     Line 4    Menu Popups         (Scheme 4)
     Line 5    Dialogs             (Scheme 5)
     Line 6    Dialog Popups       (Scheme 6)
     Line 7    Alert               (Scheme 7)
     Line 8    Window              (Scheme 8)
     Line 9    Window Popups       (Scheme 9)
     Line 10   Browse              (Scheme 10)
     Line 11   Report              (Scheme 11)
     Line 12   Alert Popups        (Scheme 12)


                        User Defined Windows (Scheme 1)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Application Workspace
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background









                                     - Page 35 -


                                    System Setup


                         User Defined Menus (Scheme 2)

     Color Pair     Windows Element
     1    Menu text/Menu bar
     2    Window text/Menu bar
     3    Window Frame/Menu bar
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Menu text/Menu bar
     10   Disabled text/Menu bar


                              Menu Bar (Scheme 3)

     Color Pair     Windows Element
     1    Menu text/Menu bar
     2    Window text/Menu bar
     3    Window Frame/Menu bar
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Menu text/Menu bar
     10   Disabled text/Menu bar


                             Menu Popups (Scheme 4)

     Color Pair     Windows Element
     1    Menu text/Menu bar
     2    Window text/Menu bar
     3    Window Frame/Menu bar
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Menu text/Menu bar
     10   Disabled text/Menu bar







                                     - Page 36 -


                                    System Setup


                               Dialogs (Scheme 5)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Window background
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background


                            Dialog Popups (Scheme 6)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Window background
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background


                                Alert (Scheme 7)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Application Workspace
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background







                                     - Page 37 -


                                    System Setup


                               Window (Scheme 8)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Application Workspace
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background


                            Window Popups (Scheme 9)

     Color Pair     Windows Element
     1    Menu text/Menu bar
     2    Window text/Menu bar
     3    Window Frame/Menu bar
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Menu text/Menu bar
     10   Disabled text/Menu bar


                               Browse (Scheme 10)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Application Workspace
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background







                                     - Page 38 -


                                    System Setup


                               Report (Scheme 11)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Window background
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background


                            Alert Popups (Scheme 12)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Window background
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background


                                  Color Pairs

     A color pair consists of a foreground and background color
     combination.  Foxpro uses eight basic colors: red, green, blue, cyan,
     magenta, yellow, white and black.  Each of these colors have two
     intensity levels: low intensity (dark) and high intensity (bright).
     Foxpro has two methods to represent color pairs: character code and
     RGB function.


                              Character Code Color

     Foxpro uses character abbreviations (R, G, B, W, N) for color values.
     Each color can have an attribute to change the intensity level.  Color
     codes that contain the plus sign (+) denote a bright foreground.
     Similarly, color codes that contain the asterisk (*) denote a bright
     background.  The plus sign (+) and the asterisk (*) can be placed
     anywhere in the color pair.



                                     - Page 39 -


                                    System Setup


                             Character Code Example

     Here is the character color code for red on dark gray (high intensity
     black):

     R+/N

     This is the same as any of the following:

     +R/N
     R/N+
     R/+N

     It is important to remember that both signs denote high intensity (or
     brightness).  The plus sign (+) denotes foreground intensity, and the
     asterisk (*) denotes background intensity no matter where they are
     located in the expression.

     The following is a table of the color codes that are available in
     Foxpro.


     Color     Code

     Black     N
     Blank     X
     Blue      B
     Brown     GR
     Cyan      BG
     Green     G
     Inverse   I
     Magenta   RB
     Red       R
     White     W
     Yellow    GR+
     Underline U

     Note:  An asterisk (*) can be used to denote blinking or bright
     (depending on your video hardware and the BLINK setting) for the
     background color.

     On monochrome monitors, only four colors are available: white (W),
     black (N), underlined (U) and inverse video (I).  The blank (X) color
     is useful for entering passwords.









                                     - Page 40 -


                                    System Setup


                                   RGB Color

     Colors can also be specified using the RGB color values.  These values
     range from 0 (lowest intensity or no color) to 255 (high intensity or
     bright color).  Each foreground and background require three values,
     one for red, one for green, and one for blue.  A color pair,
     therefore, requires six values, three for the foreground and three for
     the background.


                                  RGB Example

     Here is the RGB color code for red on dark gray (high intensity
     black):

     RGB(255,0,0,128,128,128)

     The first three values in the RGB expression above set the foreground
     color to red and the second three values set the background color to
     dark gray.

     The following is a table of the colors that are available in Foxpro,
     including the character codes and the corresponding RGB codes.

     Color          RGB                 Foreground     Background
     White          255,255,255         W+             W*
     Black          0,0,0               N              N
     Gray           192,192,192         W              W
     Dark Gray      128,128,128         N+             N*
     Red            255,0,0             R+             R*
     Dark Red       128,0,0             R              R
     Yellow         255,255,0           GR+            GR*
     Dark Yellow    128,128,0           GR             GR
     Green          0,255,0             G+             G*
     Dark Green     0,128,0             G              G
     Cyan           0,255,255           BG+            BG*
     Dark Cyan      0,128,128           BG             BG
     Blue           0,0,255             B+             B*
     Dark Blue      0,0,128             B              B
     Magenta        255,0,255           RB+            RB*
     Dark Magenta   128,0,128           RB             RB
     Blank          N/A                 X              X

     When you are using custom colors, the following rules apply for
     converting RGB values into character codes:

     When ALL of the three color values (R, G or B) are below 32, the
     character code is N.

     When ALL of the three color values (R, G or B) are between 32 and 64,
     the character code is N+.


                                     - Page 41 -


                                    System Setup


     When ALL of the three color values (R, G or B) are between 65 and 191,
     the character code is W.

     When ANY of the three color values (R, G or B) are above 191 the
     character code is high intensity (+ or *).

     Examples

     R    G    B    Character
     100  80   175  W
     100  200  175  W+/*
     33   56   45   N+/*
     33   56   175  B
     33   56   245  B+/*
     100  100  3    GR


                                Color Pair List

     A color pair list creates a color scheme.  This scheme which consists
     of one to ten color pairs separated by commas.  For example, in Foxpro
     for MS-DOS:

     W+/B, W+/BG, GR+/B, GR+/B, R+/B, W+/GR, GR+/RB, N+/N, GR+/B, R+/B

     A color pair list for a monochrome monitor might look like this:

     W/N, N+/W, W+/N, W+/N, W/N, U+/N, W+/N, -, W+/N, W/N

     Color pair lists for monochrome monitors may have a dash (-) in the
     eighth color pair location to indicate that a shadow isn't present.
     In Foxpro for Windows, a color pair list looks like this:

     RGB(0,255,0,255,0,0), RGB(127,255,0,0,0,0), ...

     Experiment with different color sets.  Note that the top of the screen
     may not change color until you exit and reenter the application.  Be
     warned, however.  The color set becomes permanent until the next time
     you select a different color.


                             Problems & Suggestions


     Upon pressing [4], you will be presented with a memo window.  Type any
     message you wish to leave the application programmer.  Press [F10] to
     complete the message, or [Esc] to abort.  Your message will be placed
     in the Foxpro error file (FOXERR.DBF).

     If you have already created messages, you may wish to modify them.  A
     browse, indicating the date and time of each message, will be
     displayed.  Select the desired message record.  Then, press [Ctrl]-
     [Pgdn] to expand the message window.
                                     - Page 42 -


                                    System Setup




                                  All About...


     Option '5', of the system menu, will display status information about
     this application.  What version of Foxpro is running, about much
     memory is available, and the different kinds of application modes
     (Multi-user, debug, system administration).  This option will also
     tell you how the various data paths are defined.


                                  System Date


     Option '6', of the system menu, allows you to change the I-Team system
     date.  The default date comes from the operating system, at the time
     you invoke I-Team.  This feature is handy, for example, when you come
     in on a Monday but need to record transactions made last Friday.

     Note:  Like record filters, the system date remains in effect until
     you leave I-Team.


                                Edit System Data


     Option '7', of the system menu, allows you to view/edit system data.
     In the SYSDATA file, your agency's name and address are stored.  Upon
     pressing '7', you are prompted for the name, address, and telephone
     number of your agency.  Press [F10] to keep any changes.  Press [Esc]
     to abort.

     Note:  Unless you are a system administrator, this option is display
     only.  See configuration manual.


                               Main Menu Password


     Option '8', of the system menu, allows you to change the main menu
     password.  Simply type your desired password and press [Enter].  The
     password takes effect the next time you are in protected mode.

     Note:  Option '8' is only available to the system administrator.  See
     configuration manual.







                                     - Page 43 -


                                    System Setup


                              Display/Print Manual



     Option 'M', of the system menu, will display the user manual.  You may
     use [PgUp] or [PgDn] to view various pages.  You may print the entire
     user manual by pressing [Alt]-[P].  Press [Esc] to return to the
     system setup menu.


                                      Quit


     Before leaving the system setup menu, a reminder.  Record filters
     remain in effect only for the duration of the application.  Color sets
     and printer control codes, on the other hand, are permanent.  When you
     have experimented enough, press [Q] at the system setup menu to return
     to the main menu.



































                                     - Page 44 -


                                      Utilities


     For the most part, the first three options of the main menu will
     provide the day-to-day processing required to maintain client records.
     Certain other functions, however, are needed in order to maintain the
     entire system.  So the utility menu has been provided.  Upon pressing
     [U] at the main menu, the following screen will appear:



                    I-Team Management System, Version 02.00.00
                             (c) 1988 Dennis Allen
                              All rights reserved

     --------------------- U T I L I T Y   M E N U ---------------------

                         1 - Maintain Planning Model
                         2 - Generate Planning Model
                         3 - Record Completion

                         A - Rebuild indices
                         B - Initialize Databases
                         C - Purge Planning Model File
                         D - Purge Client Tickle File

                         Q - Quit this Menu


                                Your selection:



     "Maintain Planning Model" allows the system administrator to create
     and maintain the central planning models.

     "Generate Planning Model" allows the system administrator to create
     client planning models from a specified central planning model.

     "Record Completion" allows the user to record the completion of
     certain events.

     Option 'A' reconstructs all system indices in the event of a crash or
     other strange system behavior.  Option 'A' also removes deleted
     records, thereby reclaiming disk space.

     Option 'B' will allow you to reset any or all database files in the I-
     Team system.

     Option 'C' permits the system administrator to remove old central
     planning models.  Option 'D' allows the system administrator to remove
     old, completed client planning models.  Option 'Q' will return you to
     the main menu.



                                     - Page 45 -


                                      Utilities


     Note:  Options '2', 'A', 'B', 'C', and 'D' are available only in
     single-user mode.  Options '1', '2', 'B', 'C', and 'D' are only
     available to the system administrator.  See configuration manual.


                            Maintain Planning Model


     Upon pressing [1] in the utility menu, you will be prompted for a
     planning date.  Enter the desired date and [Enter].  If the planning
     model does not exist, you will be prompted whether to create a new
     planning model.  Saying no, or specifying an empty planning date,
     allows you to edit all planning models.  In any case, the following
     screen will appear:



                         Planning Date: 01/01/1994

      Planning Date:               Time:          Completed:

      Task Code:

      Starting Date:          Ending Date:        Critical:

      Form Code:

                              Print Labels:       Verbal  :
                                                  Written :
                                                  Attend  :


            Toggle Index (Start Date)   Toggle Order (Ascending)
            Add    Browse Delete Find   Goto   Help  Update   Quit



     This editor provides the same edit functions as the client planning
     model editor.

     View existing records, if you wish.  When finished, press [Q] to
     return to the utility menu.


                            Generate Planning Model


     When you have created a new central planning model, you can distribute
     it to clients.  Upon pressing [2] in the utility menu, you will be
     prompted for the client code.  You may generate a planning model for
     just one client, or press [Enter] for all client models.  You will
     then be prompted for the team number.  Enter the desired team or press
     [Enter] for all teams.
                                     - Page 46 -


                                      Utilities



     Next, you will be prompt for the planning date.  Pressing [Enter] will
     default to the latest planning model.  A new set of planning models
     will then be generated.  Any existing client model, with the same
     planning date, will be replaced.  Press [Esc] to abort this operation.
     You will be returned to the utility menu.


                               Record Completion


     At some point in the process, you may need to record the completion of
     certain events.  Upon pressing [3] in the utility menu, you will be
     prompted whether to view critical events only.  Press [Enter] for all
     events.  You will then be prompted for a client code.

     For every client you define, you will be given a browse window list of
     all pending events.  To complete an event, simply fill in the
     completion date.  Press [F10] when finished, or [Esc] to abort.  All
     non-critical events, preceding the completed critical events, will be
     marked as completed.  You will be prompted for another client.  Press
     [Esc] to abort this operation and return to the utility menu.


                               Rebuilding Indices


     Option 'A' of the utility menu will reconstruct all system indices in
     the event of a crash or other strange system behavior.  You will be
     prompted whether to continue.  Upon pressing [Y], all indices will be
     rebuilt.  Option 'A' also removes deleted records, thereby reclaiming
     disk space.  You will then be returned to the utility menu~1.

     Note:  If you have the ability to recall deleted records, option 'A'
     will NOT remove deleted records.


                             Initializing Databases


     Option 'B' of the utility menu will allow you to "reset" any or all
     database files in the I-Team system by removing all data from them.
     You probably will want to use this option after completing the sample
     entries and exercises in this manual, so you can begin fresh with
     "real" data.

     Upon press [B] at the utility menu, you will be prompted whether to
     reset each database file, one at a time.  You will then be returned to
     the utility menu~2.

                         
     ~1 Not available in Multi-user mode.  Refer to configuration manual.
     ~2 System Administration function.  Refer to configuration manual.
                                     - Page 47 -


                                      Utilities



                           Purge Planning Model File


     Option 'C' permits the user to keep the size of the central planning
     model file reasonable.  Upon pressing [C] at the utility menu, you
     will be prompted for the cutoff date.  All planning models, prior to
     that planning date, will be removed from the planning model file.  You
     will be returned to the utility menu.


                            Purge Client Tickle File


     Option 'D' permits the user to keep the size of the client's planning
     model file reasonable.  Upon pressing [D] at the utility menu, you
     will be prompted for the client code.  Press [Enter] for all client
     planning models.  You will then be prompted for the cutoff date.  All
     client planning models, prior to that planning date, will be removed
     from the client tickle file.  You will be returned to the utility
     menu.

     When you have experimented enough, press [Q] at the utility menu to
     return to the main menu.





























                                     - Page 48 -


                                     Quit to DOS


     Once you have returned to the main menu, press [Q] to return to the
     DOS ready.  It is VERY important that you do not leave the I-Team
     System without returning to DOS.  NEVER turn off the machine while in
     the I-Team system.  Doing so may result in file corruption and lots of
     headaches to us developers.

     This concludes the system overview.  If you wish to know more about
     the client editor, or any other editor in the I-Team system, see
     Appendix A.  If you wish to know about the file layouts, refer to the
     configuration manual.  If you ever see the infamous error message
     "Ignore, Retry, Suspend, or Quit", see Appendix C.

     We have tried to make this user manual as complete as possible.  If
     there is something not explained or "fuzzy", however, contact us and
     we will try to correct it.






































                                     - Page 49 -


                                     Appendix A


                           Appendix A/Generic Editor


     This section describes all characteristics, in detail, of the generic
     editor used in this type of Foxpro application.  While this editor may
     be customized for many applications, all share common functions.
     Thus, to learn one version is to know another version.

     This type of Foxpro application usually has an edit menu.  This menu
     allows the user to invoke one or more editors.  The following is an
     example of the edit menu used in the dMAIL4 System:



                        Mailing List, Version 03.05.00
                  (c) 1987 Dennis Allen, All rights reserved

     ----------------------  E D I T    M E N U ------------------------

                        1 - Create/Edit Mailing List
                        2 - Create/Edit State IDs

                        Q - Return to main menu


                                 Your selection:



     In this edit menu, the user has the option to use two editors.  Each
     editor allows the user to maintain separate, but related, databases in
     the dMAIL4 System.  While we really don't need to go any further, but
     it is good to know where most editors are invoked.

     Once a generic editor is invoked, its window will be displayed.  The
     window consists of a window title, field descriptions, and all fields
     of the database record that happens to be current.  A menu window is
     also displayed.  The menu window contains all the one-character
     options available to the user.  The following is a sample screen of
     the mailing list editor used in the dMAIL4 System:













                                     - Page 50 -


                                     Appendix A



                          Mailing List, Version 03.05.00
                      (c) 1987 Dennis Allen, All rights reserved

     --------------------------- Mailing List --------------------------
     User ID:
     First Name:                        Last:
                Billing                 Shipping
     Address 1 :
     Address 2 :
     City/State:
     Zip Code  :
     Sex:      Status:             Head of HouseHold:
     Home: (  )    -                    Birth:
     Work: (  )    -                    Wedding:
     Soc.Sec. #:   -  -                 Active Date:
          [ ] MS-DOS     +------------ Message Memo -------------+
          [ ] CP/M       |                                       |
          [ ] TRSDOS     |                                       |
                         +---------------------------------------+

            Toggle Index (Last Name)    Toggle Order (Ascending)
            Add    Browse Delete Find   Goto   Help  Recall  Update  Quit



     All editors have the same basic functions.  Before continuing, we will
     describe each function in detail.

                                  Add Function

     Pressing [A] will allow you to add a record to the current database.
     The cursor will be positioned on the first field in the record.  Now
     whether adding or updating a record, there only a few keystrokes you
     need to know.

     You can move the cursor from field to field using the arrow keys.  For
     instance, the Right arrow, the Down arrow, and the [Enter] key, moves
     the cursor forward one field at a time.  The left arrow and up arrow
     will move the cursor back one field.

     Note:  If you have a mouse, you also can move from field to field.
     Simply move the mouse cursor to the desired field and press the left
     mouse button.

     The [Home] key will move the cursor to the beginning of a field.  If
     the cursor is already there, [Home] will move the cursor to the first
     field in the screen.  The [End] key will move the cursor to the end of
     the field.  If the cursor is already there, [End] will move the cursor
     to the last field in the screen.



                                     - Page 51 -


                                     Appendix A


     If you need more information on any field, press [F1].  If there is
     help information, a help window will be displayed.  The help window
     will remain until you press either [Esc] or [F10].

     Pressing [Ctrl]-[Home] will repeat the last text that was displayed in
     the current field.  This function provides a convenient means of
     adding many records with similar field descriptions.

     Once you have entered your data, moving the cursor beyond the last
     field on the screen tells the editor to accept the record.  Pressing
     [F10] also will tell the editor to accept the record.  You would then
     be prompted to add another record.  The [Esc] key will abort the add
     function, returning the screen to its original condition.

                                Browse Function

     Pressing [B] will invoke the Foxpro browse function.  The browse
     function will display as many database records as will fit in one
     window.  You can use the left arrow, right arrow, [Tab], and [Shift]-
     [Tab] keys to move the cursor from field to field.  You can move from
     record to record with the up and down arrow keys.  You use the page
     up/down keys to display the next/previous window of records in the
     current database.

     If you have a mouse, you also can use the characters located on the
     right side of the window.  Place the mouse cursor on the up/down arrow
     characters and press the left button to move one record at a time.
     The diamond character show where you're located in relation to the
     rest of the database.  Place the mouse cursor on the diamond and press
     the left button.  Dragging the diamond will re-position you in the
     database.

     Mouse Note:  After you found the record you want, place the mouse
     cursor on the record and press the left button.  Otherwise, the first
     time you try to update a record will put you back to the last record
     displayed before using the mouse.

     If there are more fields than can be displayed in one window, pressing
     [TAB] will scroll to the next field.  Pressing [Shift]-[TAB] will
     scroll back one field.

     If you have a mouse, you also may use the characters located across
     the bottom of the window.  Place the mouse cursor on the left/right
     arrow characters and press the left button to move one field at a
     time.  The diamond character show where you're located in relation to
     the rest of the database.  Place the mouse cursor on the diamond and
     press the left button.  Dragging the diamond will re-position the
     fields displayed in the database.

     Mouse Note:  After you found the field you want, place the mouse
     cursor on the field and press the left button.  Otherwise, the first
     time you try to update a field will put you back to the last field
     displayed before using the mouse.
                                     - Page 52 -


                                     Appendix A



     In the browse function you may edit any field as desired.  Press
     [Ctrl]-[N] to add a record from the browse.  Press [Ctrl]-[T] to
     delete the current record from the browse.  When finished, press
     [F10] to return to the edit menu.  Pressing [Esc] also will return you
     to the edit menu, but it will abort any change to the current record.

     Note:  The JKEY incremental search has recently been added to the
     browse command.  When performing a browse, press [Ctrl]-[J] to
     activate JKEY.  A search will begin on the current index.  Each new
     keystroke will be added to the search string and the record, closest
     matching to the current string, will be displayed.  You may press
     [BackSpace] to revise the search string, or press [Ctrl]-[Y] to clear
     it.  To abort JKEY, simply press [Ctrl]-[J] once again (or [Esc] to
     abort the browse).

                                Delete Function

     Pressing [D] will allow you to delete the currently displayed record.
     You will be prompted whether you are sure.  Pressing [Y] deletes the
     record from the database.

                                 Find Function

     Pressing [F] will invoke the find function.  This option is only
     available if a database is indexed.

     If invoked, you would type the key of the desired record, and press
     [Enter].  If found, the record would be displayed.  You could then
     delete it, or update it.


     Note:  The key doesn't have to be a complete description.  For
     incomplete keys, the find function will try to find the record with
     the closet matching key.

     Recently, wild-carding has been introduced into the [F]ind function.
     For example, suppose we have a customer file.  It has an index by last
     name.  When the find function prompts us, we could type:

          Last Name:  ..ll..

     In this example, we are searching for a customer whose last name
     contain a "ll".  In another example:

          Last Name:  ..en

     We are searching for a customer whose last name ends with "en".  In
     one more example:

          Last Name:  al..

     We are searching for a customer whose last name begins with "al".
                                     - Page 53 -


                                     Appendix A



     Here's where wild-carding get interesting.  Let's use the first
     example.  Say we find a customer whose last name contains a "ll".  If
     we use the [G]oto function, we get an extra option.  This option,
     called [C]ontinue, will allow us to find the next customer whose last
     name contains a "ll".

     The continue option will remain in effect until you perform another
     find.  It will search for the next wild-card occurrence no matter
     where you are in the database.  In that sense, think of wild-carding
     as an implicit record filter.

     Oh, a new feature has been added to wild-carding:  The triple period
     "...".  Like the double period "..", the triple period denotes wild-
     carding.  Using the triple, however, will also disable the current
     index during the search.

     You see, wild-card searches are a LOT faster when done on an unordered
     database.  So if you are looking for just one record or two records,
     don't care about viewing order, and are using a huge database, the
     triple period might save you valuable time.

                                 Goto Function

     Pressing [G] will create a pop-up menu.  This popup menu allows the
     user to display different records in the current database.  Press [F]
     for the first record in the database.  Press [L] for the last record.
     Press [N] for the next record.  Press [P] for the previous record.
     The goto window remains active until you press [Esc] or [Q] to quit.

     If the current database is indexed, order is defined by the toggle
     order function.  For example, if the current record is customer 5,
     pressing [N] will display customer 6.  If the index order is
     descending, however, pressing [N] will display customer 4.  See toggle
     index order.

     Pressing [W] activates the goto window.  The user may then relocate
     the goto window to any position on the edit screen, either using the
     mouse cursor or using the keyboard.

     To use the mouse, place the mouse cursor on the border of the goto
     window.  Press the left button.  Drag the mouse cursor (and window) to
     the desired location.  Then press the right button to accept the new
     position.

     To use the keyboard, press [Ctrl]-[F7].  The goto window border will
     flash.  Press any cursor key to move the window.  Press [Ctrl]-[F7] to
     stop the window from flashing.  Then press [F10] to accept the new
     location, or [Esc] to reject the new location.




                                     - Page 54 -


                                     Appendix A


     A powerful feature has been added to the goto window.  If there is a
     memo window on the current editor, pressing [W] will provide a list of
     windows.  This list includes the goto and all memo windows.  Like a
     goto window, a memo window can be moved.  It can also be resized.

     To resize using a mouse, place the mouse cursor on the lower-right
     corner of the memo window.  Press the left button.  Drag the mouse
     cursor (and window) to the desired size.  Then press the right button
     to accept the new size.

     To resize using the keyboard, press [Ctrl]-[F8].  The memo window
     border will flash.  Press any cursor key to resize the window.  Press
     [Ctrl]-[F8] to stop the window from flashing.  Then press [F10] to
     accept the new size, or [Esc] to reject the new size.

                                 Help Function

     Pressing [H] will display a summary of commands used in the edit menu
     as in the following screen.  Pressing any key after that returns you
     to the edit menu.


         Command prompt

         [T]oggle Index -  Change Index used by [F]ind command
         Toggle [O]rder -  Current Index in Ascending/Descending Order

         [A]dd        -  Add a record to the current database
         [B]rowse     -  List all records a page at a time
         [D]elete     -  Delete the currently displayed record
         [F]ind       -  Search database for record with specified key
         [G]oto       -  Display the First, Last, Next, or Previous record
         [H]elp       -  Display help information
         [R]ecall     -  Recall Deleted Records
         [U]pdate     -  Update the currently displayed record
         [Q]uit       -  Return to calling program

         Common full screen keystrokes

         [ESC]        -  Abort operation, return to prompt/menu
         [HOME]       -  move cursor to beginning field
         [END]        -  move cursor to ending field
         [CTRL][HOME] -  repeat last input field completed
         [CTRL][END]  -  Complete operation, return to prompt/menu
         [F1]         -  Display Help text
         [F10]        -  Complete operation, return to prompt/menu







                                     - Page 55 -


                                     Appendix A



                                Recall Function

     When available, pressing [R] allows you to recall a deleted record.
     You will be presented with a browse window of all deleted records.
     Simply locate the record to be recalled and press [Enter].

     To enable this feature, see your configuration manual.


                             Toggle Index Function

     For databases with multiple indices, the toggle option will be
     displayed.  The toggle option allows the user to change what index
     will be used with the [F]ind option.  The current index is displayed
     in parenthesis.

                             Toggle Order Function

     This option toggles the order of the current index.  The current order
     is displayed in parenthesis.

     For example, if the current order is ascending, pressing [O] will
     toggle the order to descending.  If the current index is by last name,
     then 'ALPHA' will come after 'BETA'  Pressing [O] again will change
     the current index back to ascending.

                                Update Function

     Pressing [U] allows you to update the currently displayed record.
     Like the add function, moving the cursor past the last field will
     complete the updating.  Pressing [Esc] will abort any update.

                                 Quit Function

     Finally, pressing [Q] will quit the editor.  You will be returned to
     the menu that invoked the editor.
















                                     - Page 56 -


                                    Appendix A-1


                        Appendix A-1/Foxpro System Menu


     If you ever been on an input field, you may have noticed that pressing
     [Alt] ([Ctrl]+[Opt] on the Mac, [F10] in Unix) displays a menu at the
     very top of the screen.  This is called the Foxpro system menu, or
     sysmenu for short.  The system menu displayed is a customized version
     of the Foxpro sysmenu.  It contains a variety of functions and is
     available to all users.  The following describes only a few features
     available through the sysmenu.  For more information, see the Foxpro
     users manual.


                                  Sysmenu edit


     The sysmenu edit popup is very powerful.  It gives any input field a
     variety of edit functions.  For example, highlighting a section of
     text ([Shift] and cursor key) and pressing [Del] will delete this
     text.  But [Ctrl]-[C] would have copied this text into the clipboard.
     You would then use [Ctrl]-[V] to paste this text.

     Note:  The sysmenu edit popup provides a [Ctrl]-[U] option to undo a
     deletion, copy, cut, or paste.

     Another example:  Suppose you are editing a memo field.  The sysmenu
     edit popup provides a [Ctrl]-[F] option to find specified text.  This
     popup also provides a [Ctrl]-[G] option to repeat the last find.

     There are other functions in the sysmenu edit popup.  See the Foxpro
     users manual for details.


                               Foxpro Calculator


     Simply enter a numeric value on any input field.  Press [Alt]-[F4] to
     activate the Foxpro calculator.  The Foxpro calculator will display
     your numeric value.

     When you have a new calculated value, press [Ctrl]-[F4] to deactivate
     the calculator.  Your new numeric value will be placed into the
     current input field.

     Note:  If you just want the calculator, press [F4].  To close, mouse
     click on the upper left button of the calculator and select [Close].







                                     - Page 57 -


                                    Appendix A-1


                                Foxpro Calendar


     Simply enter a date on any input field.  Press [Alt]-[F5] to invoke
     the Foxpro calendar.  The Foxpro calendar will display the year,
     month, and day of the specified date.

     Select any desired date.  When you have a new date, press [Ctrl]-[F5]
     will deactivate the calendar.  Your new date will be placed into the
     current input field.

     Note:  If you just want the calendar, press [F5].  To close, mouse
     click on the upper left button of the calendar and select [Close].


                                Foxpro DOS Shell


     In Foxpro for DOS, the system pulldown menu provides a DOS shell.  If
     you are a system administrator, pressing [Alt]-[S] [O] brings up the
     DOS command window.  Type any desired DOS command.  Type 'EXIT' and
     press [Enter] to leave the DOS shell.


                                  Print Setup


     You can customize printer output with 'Print Setup' (sometimes called
     'Page Setup').  For example, before creating a report you can call up
     the page setup dialog box to change your printer output from portrait
     to landscape.


                                   Print Mode


     In Foxpro for windows, you can print the contents of the current
     window using the 'Print' option of the 'File' popup in sysmenu.  The
     'Print' option is equivalent to printing a report in non-draft mode.
     See system setup, printer codes.

     Note:  'Print' is not currently available in the Foxpro for windows
     runtime unit.


                                 Printer Eject


     Press [F7] for a page eject.  You will be prompted for a form feed.
     If you select [Y], a form feed will be sent to the current printer
     device.  See System Setup, printer codes.  This option is very useful
     for people with Laser Printers.

                                     - Page 58 -


                                    Appendix A-1



                                  User Manual


     This sysmenu option will display the user manual.  Equivalent to
     option 'M', of the application's system menu.  You may use [PgUp] or
     [PgDn] to view various pages.  You may use [Ctrl]-[F] to search for
     text.  You may print the entire manual by pressing [Alt]-[P].  Press
     [Esc] to return to the application.


                              Configuration Manual


     If you are a system administrator, this sysmenu option will display
     the configuration manual.  You may use [PgUp] or [PgDn] to view
     various pages.  You may use [Ctrl]-[F] to search for text.  You may
     print the entire manual by pressing [Alt]-[P].  Press [Esc] to return
     to the application.


                                   Video Mode


     Press [Alt]-[V] for the video mode.  In Foxpro for DOS, a VGA screen
     will toggle between 25 and 43 line modes.  All subsequent windows will
     conform to the specified mode.  Very useful in displaying reports.

     In Foxpro for windows, [Alt]-[V] will display a font selector.  All
     sub-windows, to the current window, will conform to the specified
     font.  If you change at the main menu window, the font becomes
     permanent to the user.





















                                     - Page 59 -


                                     Appendix B


                             Appendix B/Data Files


                               Forms Memo Macros


     The following is the listing of all macros available in the forms memo
     mail merge:

     ^agency        -         Agency's name (defined in system setup)
     ^aaddress1     -         Agency's address (line one)
     ^aaddress2     -         Agency's address (line two)
     ^aaddress3     -         Agency's address (city, state, zip)
     ^acity         -         Agency's city
     ^astate        -         Agency's state
     ^azip          -         Agency's zip code
     ^aphone        -         Agency's telephone number
     ^ccode         -         Client Code
     ^cname         -         Client's full name
     ^cfname        -         Client's first name
     ^clname        -         Client's last name
     ^caddress1     -         Client's address (line one)
     ^caddress2     -         Client's address (line two)
     ^caddress3     -         Client's address (city, state, zip)
     ^ccity         -         Client's city
     ^cstate        -         Client's state
     ^czip          -         Client's zip code
     ^cphone        -         Client's telephone number
     ^cteam         -         Client's team assignment
     ^cstaff        -         Client's staff assignment
     ^cdate_comp    -         Client's completion date
     ^citm_date     -         Client's I-Team Date
     ^citm_time     -         Client's I-Team Time
     ^date          -         System Date (see system setup)
     ^day or ^dow   -         Day of the week.  Ex:  Tuesday.
     ^evbeg         -         Event's beginning date
     ^evend         -         Event's ending date
     ^itm_date      -         Event's Date
     ^itm_time      -         Event's Time
     ^pcode         -         Participant code
     ^pname         -         Participant's full name
     ^pfname        -         Participant's first name
     ^plname        -         Participant's last name
     ^paddress1     -         Participant's address (line one)
     ^paddress2     -         Participant's address (line two)
     ^paddress3     -         Participant's address (city, state, zip)
     ^pcity         -         Participant's city
     ^pstate        -         Participant's state
     ^pzip          -         Participant's zip code
     ^pphone        -         Participant's telephone number
     ^palt          -         Participant's alternate telephone number
     ^ptype         -         Participant's type (client participant file)
                              V = Verbal, W = Written, A = Attended
                                     - Page 60 -


                                     Appendix B


     ^task          -         Event's task description
     ^time          -         System time.  Ex:  12:01:00 PM
     ^today         -         System date.  Ex:  September 5, 1994


















































                                     - Page 61 -


                                     Appendix B



                           Backup/Restore Data Files


     To insure the integrity of its data files, any major database should
     have a standardized backup procedure.  Data files should be
     periodically copied to a media, other than where they currently
     reside.  There is NO excuse for not developing a proper backup
     procedure.

     As a supplement, however, this application includes its own backup
     procedure.  To back up data, you must be in the application directory.
     At the DOS prompt type:

               BACK

     and press [Enter].  This command will copy all data files into a
     backup directory ('.\BAK').  In case of power failure, these backup
     files could be used to recover previous work.

     Restoring these backup files is simple.  To restore data, you must be
     in the application directory.  At the DOS prompt type:

               UNBACK

     and press [Enter].  This command restores all data up to the point you
     last invoked BACK.

     Note:  If you decide to store data files in a separate directory (See
     configuration manual), make sure the data directory has a '.\BAK'
     backup directory.  You would then execute BACK and UNBACK from your
     data directory.  For convenience, you might consider coping BACK.BAT
     and UNBACK.BAT into your data directory.

     Warning:  If you ever run into a problem with this application, NEVER
     invoke the "BACK" command without first resolving the problem.  If a
     data file is corrupt, using "BACK" would only copy this corrupted file
     over a good backup file.















                                     - Page 62 -


                                     Appendix C


                           Appendix C/Error Handling


     In the course of normal events, you shouldn't see any error messages.
     But events can happen to cause an error message.  The most common
     events are:  Verification, disk space used up, printer not ready,
     multi-user, or syntax error.


                                  Verification


     When you start your application, all databases files are inspected.
     If a database file doesn't exist, it is created.  If a database file
     is missing a field, it is added.  If a field is not the correct
     length, it is lengthened.  If a structural index tag is missing or not
     in the correct order, the entire CDX file is rebuilt.

     Of course, the verification could fail.  There are many reasons for
     verification to fail.  On a network, someone could be using the
     database file(s) you're trying to update.  Or, you might not have the
     access permission to create/update database file(s) in your data
     directory.  Whatever the reason, remember that verification fails only
     when a database file needed to be changed, but could not be updated.
     In such an event, consult your system administrator.

                                Bad Record Count

     If a database file has a bad record count, the verification process
     will try to repair it.  If the database file could not be repaired,
     however, a new (and empty) database file is created.  The corrupted
     DBF file is renamed as a BAK file.  Any associated FPT file will be
     renamed as a TBK file.

     Please keep this feature in mind when you invoke your own database
     repair utility.  An empty database file doesn't necessarily mean you
     lost your data.  Your corrupted data probably resides in BAK and TBK
     files.  But, depending on the damage, you may need the header of the
     empty database file to repair your corrupted data.

     Before any repairs, I suggest creating a floppy disk or tape backup of
     your BAK and TBK files.  In fact, it might be best just to backup all
     the files found in your data directory.

     Once repairs are complete, simply rename the repaired BAK file as the
     DBF file.  Rename any associated TBK file as a FPT file.  Oh, and
     remove the associated CDX file (will be rebuilt the next time you
     start the application).





                                     - Page 63 -


                                     Appendix C


                           Invalid/missing memo file

     If a database file has a bad memo file, the verification process will
     take several steps to try to repair it.

     First, the original DBF file is copied to a file with a DB2 extension.
     The original FPT file will be copied to a file with a FP2 extension.
     Please keep this backup feature in mind if you invoke your own
     database repair utility.

     Next, the verification process will try to repair the FPT file header.
     If the FPT file is missing, the process will create one.  This action
     should allow the DBF file to be once again opened.

     Now a corrupted memo file may appear normal, except when you try to
     PACK a couple of times.  So as a final step, the verification process
     will create a new DBF file and will append data from the original DBF
     file.  While these steps are not foolproof, they should allow you to
     once again PACK your DBF file.

     Programmer's note: A corrupted memo file can lay dormant for years,
     until someone tries to run PACK (option A of utility menu).  My
     standard error handler now checks for error() = 41 from a PACK.  The
     error handler first allows the user to create backup files, with DB1
     and FP1 extensions.  The user is then allowed to blank out the first
     512 bytes of the memo file.  In this way, the verification process
     will be able to detect and perhaps repair the corruption.

                             Visual Foxpro DBF File

     If a database file was converted to the Visual Foxpro format, the
     Foxpro 2.6 runtime will not be able to open the file and verification
     will fail.  In such an event, run this application under the Visual
     Foxpro runtime.  Verification will then be able to open the database
     file and convert it to the Foxpro 2.6 format.


















                                     - Page 64 -


                                     Appendix C




                                   Disk Space


     If ever you see data records that look like garbage, you may have bad
     sectors on your hard disk.  Ask your system administrator to take a
     look at it.  The usual procedure is to back up all programs/data, and
     reformat the hard disk.  Any bad sectors found should be locked out
     and should no longer cause a problem.

     Bad data can result from lack of free space on the hard drive.  While
     you cannot start this application without a minimum amount of free
     space, it's always possible you might have used a routine that filled
     up your hard drive.  If this be the case, exit the application.  If
     you cannot get back into the application, due to lack of free space,
     have your system administrator remove all unused temporary files.  If
     you still cannot get back in, you might have to restore backup files.


                               Printer not Ready


     If you're printing a report and the printer is not on, you will get a
     message:

          Printer not ready.
          Press anything to retry, 'Q' to quit"

     Simply turn on your printer, and press any key to retry.  Your report
     should start to print.  Pressing "Q" would have aborted the report and
     returned you to the main menu.

     If you retry and still get "Printer not ready", you may have to
     perform the following DOS command:

          MODE LPT1,,P

     This command tells DOS to perform an infinite number of retries on the
     print device "LPT1".  Depending on you machine, you may also have to
     increase the Foxpro printer time-out.  See configuration manual












                                     - Page 65 -


                                     Appendix C




                               Multi-User Errors


     If you running this application under the multi-user mode, you may be
     presented with two different type of error messages.  Both types have
     to do with file locking.

     For example, you may be updating a database record.  In the meantime,
     however, somebody else may have already updated that record.  When
     your update is complete, you will receive the message:

          Current record has been altered

     In that case, review the updated record and try the update again.

     Another kind of message occurs while you are performing some kind of
     transaction processing.  If you need a record that somebody else has
     locked out, you will receive the message:

          Waiting for access, press [ESC] to abort

     In this case, just wait.  Most of the time, the record you need will
     be quickly released.


                                  Syntax Error


     The last kind of problem is a syntax error.  You shouldn't ever see
     one.  In case you do, however, you will be prompted:

          [I]gnore, [R]etry, [S]uspend, or [Q]uit to Main Menu.

     Unless you're a system administrator, your best bet is to press [Q] to
     Quit to Main menu.  Pressing [Q] will automatically log the error into
     the Foxpro error file (FOXERR.DBF).

     Don't forget to tell your system administrator about the error.  As
     the author, I'll want a copy of your FOXERR.* files to determine the
     type of error that occurred and to possibly correct it.











                                     - Page 66 -


                                      GLOSSARY


     ANSI  -  American National Standards Institute.  A standard for both
          screen output and keyboard input.

     Arrow Keys  -  Equivalent to cursor keys.  Those keys on the keyboard
          labeled with arrows.

     ASCII  -  American Standard Code for Information Interchange.  A
          standard 7 bit code used to represent data.

     Batch File  -  A file containing multiple DOS commands.  These
          commands are executed by DOS, one at a time, as if typed by the
          user.

     Byte  -  A unit of information.  In text form, equivalent to an ASCII
          character.

     Code  -  Program code.  Another way of saying program instructions.

     Compiler  -  A program that converts program code from one form to
          another, usually more primitive, form.  The converted code is
          then ready for execution.

     CONFIG.FP  -  The Foxpro for DOS configuration file.  This file tells
          Foxpro where is find the resource file.  In Foxpro for Windows,
          it would called CONFIG.FPW.  In Foxpro for Macintosh, it would be
          called CONFIG.FPM.

     Cursor  -  A flashing character on the screen.  It indicates where
          typed text will be next placed.

     Cursor Keys  -  Equivalent to arrow keys.  Those keys on the keyboard
          labeled with arrows.

     Data Dictionary  -  A database file that defines the input/output to
          database files in an application.

     dBASE  -  Popular database management language.  The software package
          dBASE III+ is an interpreter for dBASE code.

     Disk  -  A unit where information is stored.  There are two major
          types: hard disk, and floppy disk.

     Disk Error  -  An error occurring when a program is unable to read or
          write properly to a disk.

     Diskspace  -  A unit of how much room is available on a drive.  It is
          usually measured in bytes.

     DOS  -  Disk Operating System.




                                     - Page 67 -


                                      GLOSSARY


     EMS  -  Refers to expanded memory.  Most 80286 computers have expanded
          memory.  80386 computers have extended memory.  There are,
          however, 80386 software drivers (QEMM for example), that can
          offer either extended or expanded memory.

     Extended  -  Extended memory.  80386 (or better) computers have
          extended memory.  The extended version of Foxpro needs at least
          three megabytes of extended memory.  The standard version of
          Foxpro requires expanded memory.

     Filespec  -  any DOS filename.ext including catalog names, passwords,
          etc.

     Floppy Disk  -  A self contained unit where information is stored.
          Depending on the type, floppy disks are easily transportable.
          Sometimes called a diskette.

     Foxbase  -   A dBASE III plus compatible language.

     Foxpro  -   A dBASE IV compatible language.

     FOXERR.DBF  -  The Foxpro error file.  Every major error event is
          recorded in this file.

     FOXUSER.DBF  -  The Foxpro resource file.  This file stores all the
          attributes of the user.

     Hard Disk  -  A self contained unit where information is stored.
          Usually not removable.

     HELP  -  A facility that provides on-line assistance in the use of a
          given program.

     Highlight  -  A form of a cursor, where an entire field is considered
          the cursor.

     Interpreter  -  A program that executes language code.  Whereas a
          compiler translates program code to executable code, an
          interpreter translates a single line of program code before
          executing it.

     Kilobyte  -  One kilobyte of memory equals 1,024 bytes.

     Megabyte  -  One megabyte of memory equals 1,024,000 bytes.

     Multi-user  -  When more one than one person is capable of
          accessing/updating the same database at the same time.

     MS-DOS  -  Microsoft Disk Operating System.

     Sideways  -  A Utility that will print text up and down instead of
          across the paper.

                                     - Page 68 -


                                      GLOSSARY


     Source Code  -  What a translator/compiler takes in as input.

     Syntax  -  The rules for the arrangement of statements in a
          programming language

















































                                     - Page 69 -


                                        Index



     [Alt]-[F4], 57
     [Alt]-[F5], 58
     [Alt]-[V], 59
     [Ctrl]-[F4], 57
     [Ctrl]-[F5], 58
     [Ctrl]-[Home], 52
     [Ctrl]-[J], 53
     [Ctrl]-[N], 53
     [Ctrl]-[T], 53
     [Ctrl]-[Y], 53
     [End], 51
     [Esc], 52
     [F1], 52
     [F10], 53
     [F4], 57
     [F5], 58
     [F7], 58
     [Home], 51
     [Shift]-[TAB], 52
     [TAB], 52
     Add Function, 12, 51
     Adding a Client Record, 14
     All About..., 43
     ANSI, 67
     Arrow Keys, 67
     ASCII, 67
     BACK, 62
     backup, 64
     Backup/Restore Data Files, 62
     Bad Record Count, 63
     Batch File, 67
     Browse Function, 13, 52
     Byte, 67
     CFM, 16
     Change Color Set, 34
     Character Code Color, 39
     Client Participants, 22
     Client Planning Model, 20
     Code, 67
     Color Pair List, 42
     Color Pairs, 39
     Color Schemes, 35
     Compiler, 67
     CONFIG.FP, 67
     Configuration Manual, 59
     critical event, 5
     Critical Events, 22
     cursor, 51
     Cursor, 67
     Cursor Keys, 67
     Customizing Color Sets, 35
     Data Dictionary, 67
                                     - Page 70 -


                                        Index


     Data Files, 60
     dBASE, 67
     Delete Function, 13, 53
     Disk, 67
     Disk Error, 67
     Disk Space, 65
     Diskspace, 67
     Display/Print Manual, 44
     DOS, 6, 67
     Draft mode, 32
     Edit System Data, 43
     editor, 6
     EMS, 68
     Error Handling, 63
     expression builder, 6, 9
     Expression Builder, 28
     extended, 1
     Extended, 68
     Filespec, 68
     filter, 28
     Find Function, 13, 53
     Floppy Disk, 68
     font, 59
     form, 5
     Forms editor, 17
     Forms Memo, 17
     Forms Memo Macros, 60
     Foxbase, 68
     FOXERR.DBF, 42, 66, 68
     Foxpro, 68
     Foxpro Calculator, 57
     Foxpro Calendar, 58
     Foxpro DOS Shell, 58
     Foxpro for DOS, 59
     Foxpro for windows, 59
     Foxpro runtime unit, 8
     Foxpro System Menu, 57
     FOXUSER.DBF, 34, 68
     FOXUSER2.DBF, 35
     Generate Planning Model, 46
     Generic Editor, 50
     Goto Function, 13, 54
     Hard Disk, 68
     HELP, 68
     Help Function, 13, 55
     Highlight, 68
     Initializing Databases, 47
     Interpreter, 68
     Invalid/missing memo file, 64
     I-Team, 5
     ITM, 8
     JKEY, 53
     Kilobyte, 68
                                     - Page 71 -


                                        Index


     Labels, 26
     Laser Printers, 58
     Macintosh, 7
     macros, 18, 60
     Mail Merging, 18
     Mailing Labels, 33
     main menu, 5
     main menu password, 8, 9
     Main Menu Password, 43
     Maintain Planning Model, 46
     Megabyte, 68
     megabytes, 1
     memo, 42
     Memos Listing, 25
     MODE, 65
     MS-DOS, 68
     Multi-user, 5, 30, 68
     Multi-User Errors, 66
     network, 30
     non-draft, 58
     non-draft mode, 32
     Notation Conventions, 7
     Number of Copies, 32
     option grid, 25
     Page Setup, 58
     Participant Editor, 19
     Print Mode, 58
     Print Setup, 58
     Printer Codes, 31
     Printer Control Codes, 29
     Printer Device, 30
     Printer Eject, 58
     Printer Font, 31
     Printer Name, 30
     Printer not Ready, 65
     Printer Popup
      Printer Assignments, 33
      Printer Devices, 29
     Problems & Suggestions, 42
     protected, 5, 8
     protected mode, 8, 9
     Purge Client Tickle File, 48
     Purge Planning Model File, 48
     Quit, 26, 44
     Quit Function, 14, 56
     Quit to main menu, 23
     Rebuilding Indices, 47
     Recall Function, 14, 56
     Record Completion, 47
     record filter, 6, 27, 28
     record filters, 9
     RGB Color, 41
     Schedules Report, 24
                                     - Page 72 -


                                        Index


     Sideways, 68
     Sideways lines per page, 32
     Single-user, 5
     Source Code, 69
     Straight lines per page, 32
     Syntax, 69
     Syntax Error, 66
     SYSDATA, 43
     sysmenu, 57
     Sysmenu edit, 57
     system administration, 5
     system administrator, 9, 20, 22, 24, 28, 30, 34, 58, 59, 63, 65, 66
     System Date, 43
     Task Editor, 20
     Test Report, 32
     Toggle Index Function, 14, 56
     Toggle Order Function, 14, 56
     UNBACK, 62
     Unix, 7
     Update Function, 14, 56
     User Manual, 59
     Verification, 63
     Video Mode, 59
     Visual Foxpro, 64
     Visual Foxpro DBF File, 64
     wild-carding, 53
     window, 6


























                                     - Page 73 -  