


                                       Preface


     The purpose of the I-Team manager is to provide a specialized
     scheduling system for managing client treatment planning.  ITM is
     written in a dBASE IV compatible language called Foxpro.

     To use this Foxpro application, each user needs a resource directory.
     A resource directory contains all the files needed to configure this
     application.  On a single-user system, or a network with a local hard
     drive, the resource directory will usually be the Foxpro runtime unit
     directory.

     The objective of this manual is to explain the resource directory.
     What files are in this directory and how to configure them for this
     application.  This documentation is intended for system administrators
     and has, therefore, been excluded from the regular user manual.

     Pay particular attention to the section on the FOXPRO.INI file.  It is
     this file that allows you to customize this application.  To enable
     multi-user mode, for example, or to allow the user to recall deleted
     records.

     Considerable effort was expended to make the configuration manual as
     complete as possible.  However, this documentation is in no way to be
     considered an instructive guide to Foxpro.  Many reference texts are
     available on the market that explain the Foxpro programming language.
     If you need more information, your reference materials should include
     one of these texts.

     My advice is to read the contents of this manual.  Familiarize
     yourself with its information.  If you have any questions concerning
     this application, feel free to write or call.























                                     - Page 1 -


                                  TABLE OF CONTENTS


     Preface.............................................................1
     Configuring Foxpro..................................................4
      Foxpro Runtime Unit ...............................................4
       Foxpro 2.6 for DOS Runtime Unit ..................................4
         Launching FPD Application ......................................4
       Foxpro 2.6 for Windows Runtime Unit ..............................5
         Launching FPW Application ......................................5
       Foxpro 2.6 for Unix Runtime Unit .................................5
         Launching FPU Application ......................................6
       Visual Foxpro Runtime Unit .......................................6
         Launching VFP Application ......................................7
       Launching Application with parameters ............................7
      CONFIG.FP .........................................................8
       COLOR SET ........................................................9
       CURRENCY .........................................................9
       DATE .............................................................9
       EMS .............................................................10
       MEMLIMIT ........................................................10
       PROGWORK ........................................................10
       RESOURCE ........................................................11
       RESOURCE = ON ...................................................12
         Multiple Launch ...............................................12
       TIME ............................................................13
     Resource Directory Files...........................................14
      FOXPRO.INI .......................................................14
       ADD .............................................................14
       BORDER ..........................................................15
       CLIENT ..........................................................15
       COLORSET ........................................................16
       DATA ............................................................16
       FONTNAME ........................................................16
       FONTSIZE ........................................................16
       FONTSTYLE .......................................................17
       INIT ............................................................17
       LAST ............................................................17
       MULT ............................................................18
       PROG ............................................................18
       RECALL ..........................................................18
       REFRESH .........................................................19
       RESTART .........................................................19
       SCHEME ..........................................................20
       STATUS ..........................................................20
       SYSMENU .........................................................20
       TEMP ............................................................21
      FOXUSER.DBF ......................................................22
       Visual Foxpro Resource File .....................................22
      FOXUSER2.DBF .....................................................23
       Color Schemes ...................................................23
       Color Pairs .....................................................27
         Character Code Color ..........................................27
         Character Code Example ........................................28
         RGB Color .....................................................29
         RGB Example ...................................................29
                                     - Page 2 -


                                  TABLE OF CONTENTS


         Color Pair List ...............................................30
      Q Files: Record Filters ..........................................31
      System Memory File ...............................................32
      P_CODES.DBF ......................................................32
      Configuring Sideways .............................................33
     Appendices.........................................................34
      Appendix A/ Data Files ...........................................34
       Forms Memo Macros ...............................................36
       CLIENT.DBF Layout ...............................................37
       Backup/Restore Data files .......................................38
      Appendix B/ Error Handling .......................................39
       Verification ....................................................39
         Bad Record Count ..............................................39
         Invalid/missing memo file .....................................40
         Visual Foxpro DBF File ........................................40
       Disk Space ......................................................41
       Printer not Ready ...............................................41
       Multi-User Errors ...............................................42
       Syntax Error ....................................................42
      Appendix C/ Customizing Application ..............................43
     Glossary...........................................................44
     Index..............................................................46































                                     - Page 3 -


                                 Configuring Foxpro


     This section will first explain the Foxpro runtime unit.  What's in it
     and how Foxpro determines the resource directory.  From there, this
     section will explain the resource directory.  What files are in this
     directory and how to configure them for this application.


                              Foxpro Runtime Unit


     The Foxpro runtime unit contain all the files necessary to run this
     application.  Since many Foxpro applications require the same runtime
     unit, these files are usually stored in their own directory (typically
     C:\FOXRUN).  On a network, the Foxpro runtime unit should be installed
     on each user's local hard drive.  It could, however, be shared among
     users with no local hard drive.

     Before continuing, it should be noted.  All the files in the runtime
     unit are self contained.  You need not add a C:\FOXRUN, C:\FOXRUNW, or
     a C:\VFPRUN to your DOS PATH statement.


                        Foxpro 2.6 for DOS Runtime Unit


     The Foxpro for DOS runtime unit consists of *.ESL files, *.ESO files,
     FOXSWAP.COM, and FOXR.EXE.  The runtime unit might also contain a
     P_CODES.DBF file for printer codes (see Resource Directory Files).

     Foxpro for DOS runtime comes with two versions.  The standard
     (FOXD*.ES?) and the extended (FOXDX*.ES?).  The standard version is
     for machines with only expanded (EMS) memory or less than three
     megabytes of extended memory.  The extended version is for machines
     with three or more megabytes of extended memory.

     Note:  FOXSWAP.COM is used only with the standard version to invoke
     large DOS applications.

                           Launching FPD Application


     FOXR.EXE is the Foxpro for DOS startup module.  It allows Foxpro to
     launch an application.  FOXR.EXE also determines where the user
     resource directory is located.  The following example will launch this
     application:

          C:\FOXRUN\FOXR.EXE -cC:\FOXRUN\CONFIG.FP -m2612 mal

     In this example, FOXR.EXE was called from the runtime unit directory.
     It executed the application startup module MAL.FXP.  The -c option
     defined C:\FOXRUN\CONFIG.FP as the Foxpro configuration file.  It is
     the configuration file that determines the user's resource directory.


                                     - Page 4 -


                                 Configuring Foxpro


     FOXR.EXE also determines which version of Foxpro, standard or
     extended, to run.  Normally, it takes three megabytes of extended
     memory to invoke the extended version.

     In the last example, however, the -m option was used to reduce the
     amount of extended memory required to invoke the extended version.  In
     this case, only 2.6 megabytes was needed.


                      Foxpro 2.6 for Windows Runtime Unit


     The Foxpro for Windows runtime unit consists of *.ESL files, and
     FOXRW.EXE.  The runtime unit might contain FOXFONT.* files (see
     FOXPRO.INI:FontName).  The runtime unit might also contain a
     P_CODES.DBF file for printer codes (see Resource Directory Files).

     FOXRW.EXE is the Foxpro for Windows version of FOXR.EXE.  It allows
     the Foxpro for Windows runtime (FOXW*.ES?) to launch an application.
     The same rules and parameters of FOXR.EXE apply to FOXRW.EXE.

                           Launching FPW Application


     Once you have installed the Foxpro for Windows runtime, you need to
     create a shortcut icon.  To run this application, you will need to
     modify the properties of this icon as in the following example:

     Command Line     :  c:\foxrunw\foxrw.exe -cc:\foxrunw\config.fpw mal
     Working Directory:  c:\dmail4\

     ...where "c:\foxrunw" is the runtime directory,
     "c:\foxrunw\config.fpw" resides in your user resource directory, "mal"
     is the startup application module MAL.FXP, and "c:\dmail4\" is the
     application directory.

     Note:  There is a bug in the FPW runtime.  If you use the FXP file
     extension, you need to spell out the file path (example:
     C:\DMAIL4\MAL.FXP).  Otherwise, the FPW runtime can't find it.

     Oh, this application is designed to use a 24 by 80 character window.
     It is suggested that you start with a maximized window, not minimized
     window.


                        Foxpro 2.6 for Unix Runtime Unit


     The Foxpro for Unix runtime unit consists of foxr.exe, foxr.pr,
     terminfo *.src files and the startup script file foxr.  The runtime
     unit might also contain a P_CODES.DBF file for printer codes (see
     Resource Directory Files)

                                     - Page 5 -


                                 Configuring Foxpro


     The startup script file foxr belongs in the directory /usr/bin.  This
     script will call the files foxr.exe and foxr.pr, which need to reside
     in the directory /usr/lib/foxpro.

     Terminfo note:  The startup script foxr sets the environment variable
     FOXTERM to at386a, a Linux compatible terminfo file.  To use at386a,
     you need to execute the command [tic /usr/lib/foxpro/at386a.src].
     This tic command will compile at386a, adding it to your terminfo
     database.  Other SCO-compliant terminfo files can be found in the file
     terminfo.src.  For more information, see the FPU 2.6 FAQ sheet
     READFPU.TXT.


                           Launching FPU Application


     foxr is the Foxpro for Unix runtime startup script, which executes
     /usr/lib/foxpro/foxr.exe.  foxr.exe is the actual startup module.  It
     allows Foxpro to launch an application.  It also determines where the
     user resource directory is located.  The following example will launch
     this application:

          foxr -i -o -c/usr/lib/foxpro/config.fpu itm

     In this example, the startup script foxr launches the Foxpro for Unix
     runtime.  It also executed the application startup module ITM.FXP.
     The -c option defined /usr/lib/foxpro/config.fpu as the Foxpro
     configuration file.  It is the configuration file that determines the
     user's resource directory.

     In this last example, options [-i] and [-o] tells Unix to treat the
     input/output devices as a serial terminal.  These commands help reduce
     I/O errors.  For more information, see the FPU 2.6 FAQ sheet
     READFPU.TXT.


                           Visual Foxpro Runtime Unit


     The Visual Foxpro runtime unit consists of VFP*.DLL files, and
     VFPR.EXE.  The runtime unit might contain FOXFONT.* files (see
     FOXPRO.INI:FontName).  The runtime unit might also contain a
     P_CODES.DBF file for printer codes (see Resource Directory Files).

     VFPR.EXE is the Visual Foxpro version of FOXR.EXE.  It allows the
     Visual Foxpro runtime (VFP*.DLL) to launch an application.  The same
     rules and parameters of FOXR.EXE apply to VFPR.EXE.






                                     - Page 6 -


                                 Configuring Foxpro



                           Launching VFP Application


     Once you have installed the Visual Foxpro runtime, you need to create
     a shortcut icon.  To run this application, you will need to modify the
     properties of this icon as in the following example:

     Command Line     :  c:\vfprun\vfpr.exe -cc:\vfprun\config.fpw vmal
     Working Directory:  c:\dmail4\

     ...where "c:\vfprun" is the runtime directory, "c:\vfprun\config.fpw"
     resides in your user resource directory, "vmal" is the startup
     application module VMAL.APP, and "c:\dmail4\" is the application
     directory.

     Note:  Files with a "V" prefix and an APP extension are Visual Foxpro
     modules.  The "V" prefix in the startup module name is used to avoid
     conflict with the Foxpro 2.6 *.FXP files.


                     Launching Application with parameters


     Before we continue, a new feature has been introduced to this
     application.  You can pass up to two FOXPRO.INI [GetEnv] commands as
     parameters (see FOXPRO.INI).

     For example, suppose you have a shared user resource directory on a
     network.  Your CONFIG.FPW should have RESOURCE = OFF.  Well, when
     RESOURCE = OFF, only the system administrator can change record
     filters and printer control codes.  Not a problem.  Simply create a
     special shortcut icon to launch the application, system administration
     enabled.  For Visual Foxpro, this shortcut icon would contain the
     following command line:

     c:\vfprun\vfpr.exe -cc:\vfprun\config.fpw vitm `init=yes'

     Couple of Notes: You must use single quotes around a foxpro.ini
     command.  To pass two foxpro.ini commands, simply separate them with a
     single space.  Oh, for batch file compatibility, you may use either
     `=' or `&'.











                                     - Page 7 -


                                 Configuring Foxpro



                                   CONFIG.FP


     As stated earlier, the CONFIG.FP file (CONFIG.FPW in Foxpro for
     windows) determines the user's resource directory.  It can also be
     used to optimize Foxpro.  The following is the basic CONFIG.FP file
     layout:

               _FOXDOC   = ''
               _FOXGRAPH = ''
               _GENGRAPH = ''
               BELL = OFF
               COLOR SET = FOXDEF
               DEVELOPMENT = OFF
               FILES = 45
               INDEX = NDX
               MVARSIZE = 20
               MVCOUNT = 512
               MEMLIMIT = 40,1024,4096
               RESOURCE = C:\FOXRUN
               RESOURCE = ON
               SAFETY = OFF
               STATUS = OFF
               TALK = OFF

     The following section will describe the most important commands in the
     CONFIG.FP.

























                                     - Page 8 -


                                 Configuring Foxpro


                                   COLOR SET


     This is the default color set.  Example:  COLOR SET=FOXDEF.  This
     color set used to startup Foxpro.  If no color set is specified in
     your CONFIG.FP, the default is DEFAULT for DOS, FOXDEF for Windows.

     Note:  This application now uses the COLORSET variable found in the
     [GetEnv] section of the FOXPRO.INI file to determine the default color
     set.  See FOXPRO.INI:  COLORSET.


                                    CURRENCY


     Defines the currency symbol and specifies its position in the display
     of numeric, currency, float, and double expressions.

     SET CURRENCY TO [cSymbol]
     SET CURRENCY LEFT | RIGHT

     cSymbol   Specifies a character string representing the currency
     symbol; can be one to nine characters long. Issue SET CURRENCY TO
     without cSymbol to reset the currency symbol to the default dollar
     sign ($).

     LEFT - (Default) Positions the currency symbol to the left of the
     currency value.  RIGHT - Positions the currency symbol to the right of
     the currency value.


                                      DATE


     Specifies the format for the display of Date  expressions.


     SET DATE [TO] AMERICAN | ANSI | BRITISH | FRENCH | GERMAN
     | ITALIAN | JAPAN | TAIWAN | USA | MDY | DMY | YMD
     | SHORT | LONG

     Here are the settings and the resulting date formats:

     Setting        Format
     AMERICAN       mm/dd/yy
     ANSI           yy.mm.dd
     BRITISH/FRENCH dd/mm/yy
     GERMAN         dd.mm.yy
     ITALIAN        dd-mm-yy
     JAPAN          yy/mm/dd
     TAIWAN         yy/mm/dd
     USA            mm-dd-yy
     MDY            mm/dd/yy
                                     - Page 9 -


                                 Configuring Foxpro


     DMY            dd/mm/yy
     YMD            yy/mm/dd
     SHORT          Short date format from Windows Control Panel.
     LONG           Long date format from Windows Control Panel.

     The default date setting is AMERICAN.


                                      EMS


     The standard version of Foxpro for DOS requires expanded memory.  You
     need at least three megabytes of extended memory to run the extended
     version of Foxpro.  If you only have expanded memory, add the
     following command to CONFIG.FP:

               EMS = ON

     If your expanded memory doesn't work with Foxpro, it probably doesn't
     conform to the LIM 4.0 specification for EMS.  In that case, replace
     the EMS on command with the following:

               EMS64 = OFF
               EMS = ON

     These commands allow Foxpro to use EMS memory, but only for file I/O.


                                    MEMLIMIT


     If you are unable to run Foxpro for windows, due to insufficient
     memory, add a MEMLIMIT statement to your CONFIG.FPW file.  The syntax
     for this statement is MEMLIMIT=%,min,max where % is a calculated
     amount based on available memory and min and max represent actual
     minimum and maximum allocations.

     For example, specifying MEMLIMIT=40,1024,4096 allocates 40 percent of
     your system's available memory to Foxpro with a minimum allocation of
     1024K and a maximum of 4096K.


                                    PROGWORK


     If you have at least a 450 kilobyte ramdisk, you can add the following
     command:

               PROGWORK = G:\

     This command will place program cache on drive G.  There are similar
     commands you can use to further optimize Foxpro.  If you are
     interested, refer to the Foxpro user guide.
                                     - Page 10 -


                                 Configuring Foxpro




                                    RESOURCE


     This command defines the user resource directory.  For single users,
     or network users with local hard drives, the resource directory is
     normally the runtime unit directory.  Example:

               C:\FOXRUN\FOXR.EXE -CC:\FOXRUN\CONFIG.FP ITM

     Where C:\FOXRUN is the local copy of the runtime unit and the
     CONFIG.FP file.  ITM would be, of course, the startup procedure to our
     application.  The CONFIG.FP file would contain the commands:

               RESOURCE = C:\FOXRUN
               RESOURCE = ON

     Where C:\FOXRUN is the actual user resource directory, containing
     FOXUSER.DBF and other resource directory files.

     In the case of a network with no local hard drive, a work station
     would be invoked as:

               K:\FOXRUN\FOXR.EXE -CK:\USER1\CONFIG.FP ITM

     Where K:\FOXRUN contains the shared copy of the runtime unit and
     K:\USER1 contains the CONFIG.FP.  The CONFIG.FP would contain:

               RESOURCE = K:\USER1
               RESOURCE = OFF

     Where K:\USER1 is defined as the user resource directory, containing
     FOXUSER.DBF and other shared resource directory files.

     Note:  When using a shared a runtime unit, you might encounter a boot
     error such as 'file access denied'.  On some networks I've seen this
     happen when RESOURCE=ON and Foxpro has no foxuser.dbf defined.  Foxpro
     tries to create a temporary foxuser.dbf file, but can't.  The
     foxuser.dbf directory is either undefined or not set for read/write
     access.

     I've also seen this boot error on older networks.  Sometimes sharing a
     runtime unit requires all *.ESL, *.ESO, and *.EXE files to be marked
     as read-only.  Older versions of MS-DOS also require SHARE.EXE to be
     loaded.







                                     - Page 11 -


                                 Configuring Foxpro


                                 RESOURCE = ON


     In the previous example, the RESOURCE command was set to OFF.  The
     default is ON.

     Setting RESOURCE = OFF will mark resource directory files as read-
     only.  The user will not be able to save certain preferences, such as
     printer codes, color schemes, or browse screen layouts.  The user can
     still make such changes, but the settings cannot be saved permanently.

     This is a new feature that has been added to this application.  In
     previous versions, the RESOURCE had to be ON to launch this
     application.  Now RESOURCE can be either ON or OFF.


                                Multiple Launch


     This new feature is very significant.  Now you can have more than one
     instance of this application running at the same time.  Or have many
     users linked to the same resource directory.  Or have many different
     applications linked to the same resource directory.

     If you decide to leave RESOURCE to ON, then the first user to launch
     this application will have read and write access to the resource
     directory files.  Subsequent users will have read-only access to the
     resource directory files, as if RESOURCE was set to OFF.  For the
     FOXUSER.DBF file, this is typical Foxpro Behavior.

     If you decide to leave RESOURCE to OFF, there is still a way to obtain
     read and write access to the user resource files.  If you are a system
     administrator, this application will try to launch as if RESOURCE =
     ON.  Regardless of the CONFIG.FP setting.  But the Foxpro behavior
     stays the same.  The first system administrator who can get RESOURCE =
     ON will have read and write access to the user resource files.
     Subsequent people will have read-only access.

     BTW:  If you wish to retain the old behavior of this application, that
     is, allow only one instance of this application running at a one time,
     then you need to add the RESTART=NO to your FOXPRO.INI file (See
     FOXPRO.INI:  RESTART).  Be sure, however, to have RESOURCE = ON (or be
     a system administrator) or you won't be able to enter this application
     at all.









                                     - Page 12 -


                                 Configuring Foxpro




                                      TIME


     Establishes the amount of time that Foxpro waits for the print device
     to accept a character.  If the printer is not ready, this value
     dictates the number of retries that Foxpro will make to the print
     device.  If the retry count is exhausted, Foxpro issues the error
     "Printer not ready. Retry? (Y/N)".  The value of TIME may range from 1
     to 1,000,000 retries.  The default is 6,000.










































                                     - Page 13 -


                              Resource Directory Files


                                   FOXPRO.INI


     Perhaps the most important resource directory file is FOXPRO.INI.  In
     the past, this Foxpro application was configured using DOS environment
     variables.  For example, the DOS command SET MULT=NO will force this
     multi-user application into single-user mode.

     While DOS environment variables are still accepted, the preferred way
     is to add commands to a [GetEnv] section of the FOXPRO.INI file.  The
     following is a basic FOXPRO.INI file layout:


          [FoxPro]
          Zoomed=0
          Row=0
          Column=0
          Height=402
          Width=648
          FontName=FOXFONT
          FontStyle=0
          FontSize=9

          [GetEnv]
          FontName=FoxFont
          FontStyle=N
          FontSize=9
          Mult=no
          Recall=yes


     Note:  The [Foxpro] section is used only by Foxpro for Windows and
     then, only from the FOXPRO.INI stored in the windows directory.

     The following is a list of FOXPRO.INI [GetEnv] commands:


                                      ADD


     In every editor, by default, when you are finished adding a new
     record, you will be prompted for a another record.  This keeps
     happening until you press [Esc].  By specifying ADD=NO, the add mode
     will prompt you for a new record only once.  Just like the update
     mode.

     This option allows you to review a new record before adding the next
     record.





                                     - Page 14 -


                              Resource Directory Files


                                     BORDER


     The BORDER command allows the user to define the border characters of
     all displayed windows and popups.  Available options are:


          BORDER = [SINGLE | DOUBLE | PANEL | NONE
                   | <border string1>,  <border string2>


     SINGLE:   Creates a single-line border.

     DOUBLE:   Creates a double-line border.  In Foxpro for Windows, this
     option creates a panel effect.

     PANEL:    Creates a wide border.

     NONE:     Suppresses the border entirely.

     <border string1>[, <border string2>]:   Use the border definition
     strings <border string1> and <border string2> to create your own
     borders.  <border string1> is used for menus, popups and boxes and for
     the current output window.  <border string2> specifies the border that
     appears when output isn't being directed to the window.  <border
     string2> doesn't affect boxes or popups.

     A border definition string is a set of ASCII character values defined
     [<1>] [, [<2>] [, [<3>] [, [<4>] [, [<5>] [, [<6>][, [<7>] [,
     [<8>]]]]]]]].  The border string entries 1 through 8 designate the
     top, bottom, left side, right side, upper-left corner, upper-right
     corner, lower-left corner and lower-right corner of the border,
     respectively.  If you include just one ASCII value in the border
     string definition, the entire border is drawn using that one
     character.  Note:  Border strings are ignored in Foxpro for Windows.

     For example, adding the following command to the [GetEnv] section of
     your FOXPRO.INI file:

               BORDER=SINGLE

     ..will draw single line border windows.


                                     CLIENT


     The client data file is assumed in the current directory unless the
     command CLIENT is specified.  Example:

               CLIENT=D:\HARBIN\CLIENT\


                                     - Page 15 -


                              Resource Directory Files


                                    COLORSET

     The COLORSET command allows the user to define the default color set
     for this application.  When a color set is changed in the system setup
     menu, the name of the new color set will be stored in the [GetEnv]
     section of FOXPRO.INI.  When the application is restarted, the new
     color set will then be used.  See System Setup Menu, change color set.

     The following command will define the name of the color set:

               COLORSET=COLOR


                                      DATA


     All application data files are assumed in the current directory unless
     the command DATA is specified.  Example:

               DATA=C:\DATA\

     Note: Data files include *.DBF, *.CDX, and *.FPT.  Q*.* are expression
     builder files (see Record Filters).  SCR.* are data dictionary files
     and belong in the program directory (see FOXPRO.INI:  PROG).


                                    FONTNAME


     In Foxpro for Windows, pressing [Alt]-[V] allows the user to change
     fonts.  When a font is changed at a particular menu, all sub-menus
     will use that font.  If the font is changed at the main menu, the new
     font is stored in the [GetEnv] section of FOXPRO.INI.  When the
     application is restarted, the new font will then be used.

     The following command will define the name of the font:

               FONTNAME=FOXFONT

     ...where Foxfont is the name of the font.


                                    FONTSIZE


     In Foxpro for Windows, the following command will define the startup
     font size:

               FONTSIZE=9

     ..where '9' is 9 point.


                                     - Page 16 -


                              Resource Directory Files


                                   FONTSTYLE


     In Foxpro for Windows, the following command will define the style of
     the startup font:

               FONTSTYLE=N

     ..where 'N' is normal, 'I' defines italic, and 'B' for bold.  See the
     Foxpro command DEFINE WINDOW for a list of possible styles.


                                      INIT


     The INIT command allows the user to perform system administration
     functions.  These functions provide a measure of system control and
     are not needed for day to day activities.

     To invoke this system administration function, add the following
     command to the [GetEnv] section of your FOXPRO.INI file:

               INIT=YES

     When you run application again, you will notice new options.  If you
     are running on a network, an option M will appear on the main menu.
     Option 'M' allows you to toggle between Multi-user and single-user
     modes.  Some system administration functions can only be provided in
     single-user mode.

     In addition, an option B will appear in the utility menu.  This option
     allows you the purged out entire database files.

     Note:  This variable just needs a value to enable it.  A value of NO
     doesn't disable it.  To disable, set the value to null or don't define
     the variable at all.


                                      LAST


     This application normally resets all browse sessions.  The browse
     layout, however, can be saved by adding the following command to your
     [GetEnv] section of the FOXPRO.INI file:

               LAST=YES

     With this command, fields may be moved around or resized.  Partitions
     may be split or separated.  All these preferences will be saved and
     will be in effect the next time you perform the browse.



                                     - Page 17 -


                              Resource Directory Files


     Note:  This variable just needs a value to enable it.  A value of NO
     doesn't disable it.  To disable, set the value to null or don't define
     the variable at all.


                                      MULT


     By default, this application comes up in multi user mode.  To make it
     wake up in single-user mode, add the following command to your
     [GetEnv] section of the FOXPRO.INI file:

               MULT=NO


                                      PROG


     All application program files and all data dictionary files are
     assumed in the current directory unless the FOXPRO.INI command PROG is
     specified.  Example:

               PROG=D:\PROG\

     Note: Program files include *.APP, *.PRG, *.FXP, and SCR.*.


                                     RECALL


     This application normally reuses deleted records.  That is, a deleted
     record remains in the database, to be reused the next time a record is
     added.  You can, however, recall these deleted records with the
     following FOXPRO.INI command:

               RECALL=YES

     When recall is in effect, deleted records are not reused when you add
     records.  Instead, they remain forever.  You will be provided with an
     extra recall option on all editors.  Similar to the browse option, the
     recall option will present you with a list of all deleted records.
     Select the desired record to recall and press [Enter].  The selected
     record then becomes active once again.

     FYI:  To permanently remove deleted records, you need to first disable
     this feature and then perform a utility reindex.

     Note:  This variable just needs a value to enable it.  A value of NO
     doesn't disable it.  To disable, set the value to null or don't define
     the variable at all.



                                     - Page 18 -


                              Resource Directory Files


                                    REFRESH


     In a network environment, is it possible that the records you are
     currently viewing (via BROWSE) have changed.  Other users may have
     edited or even deleted these records.  Foxpro, therefore, must
     periodically refresh it's data buffers.  How often this refresh will
     occur is set by the FOXPRO.INI variable REFRESH.  Example:

               REFRESH=15


     In this example, the refresh rate is set to 15 seconds.  The default
     is 30 seconds.


                                    RESTART


     A new feature has been added to this application.  In previous
     versions, the user could only launch this application once.  This old
     behavior prevented users from launching a new copy, not knowing the
     application was already in use.

     Now the user can have more than one instance of this application
     running at the same time.  Many users can even share the same resource
     directory.  In fact, many different applications can be linked to the
     same resource directory.

     If you wish to retain the old behavior of this application, that is,
     to allow the user to launch this application only once, then add the
     following command to your [GetEnv] section of the FOXPRO.INI file:

               RESTART=NO

     Note:  If you get the message "Application already running" and the
     application is not running, you may have a RESOURCE = OFF in your
     CONFIG.FP.  See CONFIG.FP:  RESOURCE = ON.















                                     - Page 19 -


                              Resource Directory Files


                                     SCHEME


     In Foxpro for Windows, the following command will define the color
     scheme of the startup font:

               SCHEME=1

     ..where '1' is the color scheme 1.  This command is available only for
     backward compatibility.  See FOXPRO.INI:  COLORSET.


                                     STATUS


     This application normally displays the status bar.  The status bar
     shows the clock, Caps lock, Numlock, and current Insert mode.  The
     status bar also shows the record lock on the current dbf file.

     On DOS/Unix systems, the status bar interacts with error messages.
     When status = ON (the default), invalid input will generate a (Press
     SPACEBAR to continue) .  To turn off the status bar, add the following
     command to your [GetEnv] section of the FOXPRO.INI file:

               STATUS=OFF


                                    SYSMENU


     In Foxpro for DOS, the system menu is normally hidden.  You must press
     the [Alt] key to wake it up.  You can have the system menu always
     displayed with the following FOXPRO.INI command:

               SYSMENU=SHOW


     In Foxpro for Windows, the system menu is normally displayed.  You can
     have the system menu hidden with the following FOXPRO.INI command:

               SYSMENU=HIDDEN












                                     - Page 20 -


                              Resource Directory Files


                                      TEMP


     All temporary files are assumed in the current directory unless the
     FOXPRO.INI command TEMP is specified.  Example:

               TEMP=C:\TEMP

     If you have a large enough ramdisk, setting TEMP to the ramdisk should
     improve performance.

     Note: [GetEnv] environment variables take precedent over DOS
     environment variables.  That is, a [GetEnv] environment variable TEMP
     is used before a DOS SET TEMP= command.







































                                     - Page 21 -


                              Resource Directory Files


     The file CONFIG.FP stores commands to configure Foxpro.  The [GetEnv]
     section of the file FOXPRO.INI stores commands to configure this
     application.  Other resource directory files include FOXUSER.*, *.MEM
     files, and Q*.* files.  The following describe each of these files:


                                  FOXUSER.DBF


     The Foxpro resource directory file FOXUSER.DBF stores all the
     attributes of the user.  What color sets the user desires and how to
     display browse windows.  It also stores certain preferences required
     by this application.  For instance, all files with a "TMP" extension
     should have word wrap enabled and backup disabled.  All files with a
     "TXT" or a "MAN" extension should have word wrap disabled and backup
     disabled.

     The FOXUSER.DBF file stores all the color sets available to Foxpro.
     If you wish to improve the appearance of your menus, for example, you
     could use the Foxpro for DOS color picker.  You could make sure the
     "enabled opt." in your user menu (color set 2) is set to the same
     color as your "@ SAY" (for an alternative, see FOXUSER2.DBF).

     Note:  Foxpro for windows and Visual Foxpro use the default color set
     "FOXDEF".  All other versions of Foxpro use the default color set
     "DEFAULT".


                          Visual Foxpro Resource File


     The format of a Visual Foxpro resource file FOXUSER.DBF is different
     than a Foxpro 2.6 resource file.  Since Foxpro 2.6 was made before
     Visual Foxpro existed, Foxpro 2.6 cannot access a Visual Foxpro
     resource file.  So if you plan on using both a Foxpro 2.6 runtime and
     a Visual Foxpro runtime, you need to maintain separate user resource
     directories for the FOXUSER.DBF files.

     Your Visual Foxpro runtime should have included a copy of a Visual
     Foxpro FOXUSER.DBF file.  You can also find a copy on your
     installation disk, in a self-extracting ZIP file called FOXUSER.EXE.
     Unzip the files called VFPUSER.* and rename them to FOXUSER.*.











                                     - Page 22 -


                              Resource Directory Files



                                  FOXUSER2.DBF


     From the system setup menu, you can select a color set from the user
     resource file FOXUSER.DBF.  If you have read/write access to the user
     resource directory, you can then customize colors by editing the same
     color set found in FOXUSER2.DBF.  FOXUSER2.DBF has the same file
     structure as FOXUSER.DBF.  Unlike FOXUSER.DBF, however, color sets
     stored in the memo field 'DATA' are in ASCII text.

     Note:  In my applications, a color set from FOXUSER2.DBF will always
     override the same color set found in FOXUSER.DBF.

     Now the ASCII text layout is simple.  Twelve lines for the twelve
     color schemes of a color set.  Each line containing ten color pairs.


                                 Color Schemes

     Line 1    User Defined Window (Scheme 1)
     Line 2    User Defined Menus  (Scheme 2)
     Line 3    Menu Bar            (Scheme 3)
     Line 4    Menu Popups         (Scheme 4)
     Line 5    Dialogs             (Scheme 5)
     Line 6    Dialog Popups       (Scheme 6)
     Line 7    Alert               (Scheme 7)
     Line 8    Window              (Scheme 8)
     Line 9    Window Popups       (Scheme 9)
     Line 10   Browse              (Scheme 10)
     Line 11   Report              (Scheme 11)
     Line 12   Alert Popups        (Scheme 12)


                        User Defined Windows (Scheme 1)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Application Workspace
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background





                                     - Page 23 -


                              Resource Directory Files


                         User Defined Menus (Scheme 2)

     Color Pair     Windows Element
     1    Menu text/Menu bar
     2    Window text/Menu bar
     3    Window Frame/Menu bar
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Menu text/Menu bar
     10   Disabled text/Menu bar


                              Menu Bar (Scheme 3)

     Color Pair     Windows Element
     1    Menu text/Menu bar
     2    Window text/Menu bar
     3    Window Frame/Menu bar
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Menu text/Menu bar
     10   Disabled text/Menu bar


                             Menu Popups (Scheme 4)

     Color Pair     Windows Element
     1    Menu text/Menu bar
     2    Window text/Menu bar
     3    Window Frame/Menu bar
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Menu text/Menu bar
     10   Disabled text/Menu bar







                                     - Page 24 -


                              Resource Directory Files


                               Dialogs (Scheme 5)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Window background
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background


                            Dialog Popups (Scheme 6)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Window background
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background


                                Alert (Scheme 7)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Application Workspace
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background







                                     - Page 25 -


                              Resource Directory Files


                               Window (Scheme 8)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Application Workspace
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background


                            Window Popups (Scheme 9)

     Color Pair     Windows Element
     1    Menu text/Menu bar
     2    Window text/Menu bar
     3    Window Frame/Menu bar
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Menu text/Menu bar
     10   Disabled text/Menu bar


                               Browse (Scheme 10)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Application Workspace
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background







                                     - Page 26 -


                              Resource Directory Files


                               Report (Scheme 11)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Window background
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background


                            Alert Popups (Scheme 12)

     Color Pair     Windows Element
     1    Window text/Window background
     2    Window text/Window background
     3    Window Frame/Window Background
     4    Active title bar text/Active title bar
     5    Inactive title bar text/Inactive title bar
     5    For Windows 3.0: Active title bar text/Inactive title bar
     6    Highlighted text/Highlight
     7    Highlighted text/Highlight
     8    No mapping
     9    Window text/Window background
     10   Disabled text/Window background


                                  Color Pairs

     A color pair consists of a foreground and background color
     combination.  Foxpro uses eight basic colors: red, green, blue, cyan,
     magenta, yellow, white and black.  Each of these colors have two
     intensity levels: low intensity (dark) and high intensity (bright).
     Foxpro has two methods to represent color pairs: character code and
     RGB function.


                              Character Code Color

     Foxpro uses character abbreviations (R, G, B, W, N) for color values.
     Each color can have an attribute to change the intensity level.  Color
     codes that contain the plus sign (+) denote a bright foreground.
     Similarly, color codes that contain the asterisk (*) denote a bright
     background.  The plus sign (+) and the asterisk (*) can be placed
     anywhere in the color pair.



                                     - Page 27 -


                              Resource Directory Files


                             Character Code Example

     Here is the character color code for red on dark gray (high intensity
     black):

     R+/N

     This is the same as any of the following:

     +R/N
     R/N+
     R/+N

     It is important to remember that both signs denote high intensity (or
     brightness).  The plus sign (+) denotes foreground intensity, and the
     asterisk (*) denotes background intensity no matter where they are
     located in the expression.

     The following is a table of the color codes that are available in
     Foxpro.


     Color     Code

     Black     N
     Blank     X
     Blue      B
     Brown     GR
     Cyan      BG
     Green     G
     Inverse   I
     Magenta   RB
     Red       R
     White     W
     Yellow    GR+
     Underline U

     Note:  An asterisk (*) can be used to denote blinking or bright
     (depending on your video hardware and the BLINK setting) for the
     background color.

     On monochrome monitors, only four colors are available: white (W),
     black (N), underlined (U) and inverse video (I).  The blank (X) color
     is useful for entering passwords.









                                     - Page 28 -


                              Resource Directory Files


                                   RGB Color

     Colors can also be specified using the RGB color values.  These values
     range from 0 (lowest intensity or no color) to 255 (high intensity or
     bright color).  Each foreground and background require three values,
     one for red, one for green, and one for blue.  A color pair,
     therefore, requires six values, three for the foreground and three for
     the background.


                                  RGB Example

     Here is the RGB color code for red on dark gray (high intensity
     black):

     RGB(255,0,0,128,128,128)

     The first three values in the RGB expression above set the foreground
     color to red and the second three values set the background color to
     dark gray.

     The following is a table of the colors that are available in Foxpro,
     including the character codes and the corresponding RGB codes.

     Color          RGB                 Foreground     Background
     White          255,255,255         W+             W*
     Black          0,0,0               N              N
     Gray           192,192,192         W              W
     Dark Gray      128,128,128         N+             N*
     Red            255,0,0             R+             R*
     Dark Red       128,0,0             R              R
     Yellow         255,255,0           GR+            GR*
     Dark Yellow    128,128,0           GR             GR
     Green          0,255,0             G+             G*
     Dark Green     0,128,0             G              G
     Cyan           0,255,255           BG+            BG*
     Dark Cyan      0,128,128           BG             BG
     Blue           0,0,255             B+             B*
     Dark Blue      0,0,128             B              B
     Magenta        255,0,255           RB+            RB*
     Dark Magenta   128,0,128           RB             RB
     Blank          N/A                 X              X

     When you are using custom colors, the following rules apply for
     converting RGB values into character codes:

     When ALL of the three color values (R, G or B) are below 32, the
     character code is N.

     When ALL of the three color values (R, G or B) are between 32 and 64,
     the character code is N+.


                                     - Page 29 -


                              Resource Directory Files


     When ALL of the three color values (R, G or B) are between 65 and 191,
     the character code is W.

     When ANY of the three color values (R, G or B) are above 191 the
     character code is high intensity (+ or *).

     Examples

     R    G    B    Character
     100  80   175  W
     100  200  175  W+/*
     33   56   45   N+/*
     33   56   175  B
     33   56   245  B+/*
     100  100  3    GR


                                Color Pair List

     A color pair list creates a color scheme.  This scheme which consists
     of one to ten color pairs separated by commas.  For example, in Foxpro
     for MS-DOS:

     W+/B, W+/BG, GR+/B, GR+/B, R+/B, W+/GR, GR+/RB, N+/N, GR+/B, R+/B

     A color pair list for a monochrome monitor might look like this:

     W/N, N+/W, W+/N, W+/N, W/N, U+/N, W+/N, -, W+/N, W/N

     Color pair lists for monochrome monitors may have a dash (-) in the
     eighth color pair location to indicate that a shadow isn't present.
     In Foxpro for Windows, a color pair list looks like this:

     RGB(0,255,0,255,0,0), RGB(127,255,0,0,0,0), ...



















                                     - Page 30 -


                              Resource Directory Files


                             Q Files: Record Filters


     Record filter files belong, and are maintained, by the expression
     builder.  These include Q*.DBF, Q*.FPT, Q*.CDX.  Record filters are
     stored in the user's resource directory.

     On a network, each user will have his/her own set of record filters.
     To retain a common set of record filters, simply create a common user
     resource directory.  To keep users from changing these common record
     filters, set RESOURCE = OFF in the CONFIG.FP file (see CONFIG.FP:
     RESOURCE).

     To retain a common set of record filters, but not common user resource
     directory, allow one user to maintain record filters in the data
     directory (see FOXPRO.INI: DATA).  Then, simply delete all Q*.* files
     from each user's resource directory.  Each user will get a fresh copy
     of record filters, from the data directory, the next time they run the
     expression builder.


































                                     - Page 31 -


                              Resource Directory Files



                               System Memory File


     System defaults, such as printer control codes, are stored in a memory
     file called ???SYS.MEM (where ??? is the startup module name).  This
     system memory file is stored in the user's resource directory.

     On a network, each user will have his/her own system memory file.  To
     retain a common system memory file, simply create a common user
     resource directory.  To keep users from changing system defaults, set
     RESOURCE to OFF in the CONFIG.FP file (see CONFIG.FP:  RESOURCE).

     To retain a common system memory file, but not a common user resource
     directory, allow one user to maintain system defaults in the data
     directory (see FOXPRO.INI:  DATA).  Then, simply delete the system
     memory file from each user's resource directory.  Each user will get a
     fresh copy of the system memory file, from the data directory, the
     next time they run the application.


                                  P_CODES.DBF


     Every Foxpro application requires at least one printer device.  Each
     printer device requires it's own set of printer control codes, stored
     in the system memory file.  From the system setup menu, the user can
     either edit these printer codes directly, or select a new set of
     printer codes from a file called P_CODES.DBF.

     P_CODES.DBF is a Foxpro runtime unit file.  Normally stored in the
     runtime unit directory, this file contains print control codes for
     over 75 different printers.

     P_CODES.DBF can also be stored in user's resource directory, thus
     giving the user a customized set of printers.  Very useful in
     situations where a network user might work off several workstations.
















                                     - Page 32 -


                              Resource Directory Files



                              Configuring Sideways


     If you are using the sideways utility from Funk software, there are a
     couple of steps necessary configure it.  First, configure the desired
     printer by running SWSETUP.COM.  This utility will modify
     SIDEWAYS.COM.  After selecting the desired printer, copy SIDEWAYS.COM
     to the user's resource directory.

     Note:  If you ever want to know where your resource directory is
     located, select the option "all about.." in the system setup menu.

     Go into your resource directory and run SIDEWAYS.COM (no parameters).
     A screen will appear, displaying all the current setup values.  Adjust
     the default directory to the resource directory and press [F9].  This
     will create the default file, SIDEWAYS.DFT.  If a file called
     SIDEWAYS.SNO is created, rename it to SIDEWAYS.DFT.

     Note:  On machines with large hard drives, SIDEWAYS may not work at
     all.  In that event, change your user resource directory to a floppy
     drive.  Or you could start using either Foxpro for Windows, Foxpro for
     Macintosh, or Visual Foxpro.  For these systems, this application can
     check the print dialog box and detect whether you are in portrait
     (regular) or landscape (sideways) mode.  With landscape mode, there is
     no need for a sideways utility (see printer codes, system setup in the
     user manual).


























                                     - Page 33 -


                               Appendix A/ Data Files


     The I-Team System contains the following files:

     BACK     BAT   CLIENT   DBF   CL_EDIT  PRG   CPRTC    DBF
     DBFS     PRG   EXPRMENU PRG   FB       BAT   FORMS    DBF
     FORMS    FPT   FOXERR   DBF   FOXERR   FPT   FOXUSER  DBF
     FOXUSER  FPT   INSTALL  BAT   MANUAL   BAT   ITM      BAT
     ITM      DOC   ITM      PRG   ITMCOMP  PRG   ITMED    PRG
     ITMED1   PRG   ITMED2   PRG   ITMED3   PRG   ITMED4   PRG
     ITMGEN   PRG   ITMMODEL PRG   ITMPR    PRG   ITMPR1   PRG
     ITMPR2   PRG   ITMPR21  PRG   ITMPR22  PRG   ITMPR23  PRG
     ITMPR3   PRG   ITMPR4   PRG   ITMPR5   PRG   ITMPRA   PRG
     ITMPRB   PRG   ITMPRC   PRG   ITMSYS   PRG   ITMUSER  PRG
     ITMUT    PRG   ITMUTA   PRG   ITMUTB   PRG   ITMUTC   PRG
     ITMUTD   PRG   ITM_UP   PRG   MODEL    DBF   PRTC     DBF
     SCR      DBF   SCR      FPT   SCRPROC  PRG   SYSDATA  DBF
     TASK     DBF   TICKLE   DBF   UFB      BAT   UNBACK   BAT
     VITM     APP

     The files with a .BAT extension are batch files.  Files with a .DBF
     extension are database files.  The files with a .FPT extension are
     Foxpro memo files, attached to DBF files.  Files with a .CDX are
     Foxpro compound index files, also attached to DBF files.  Files with a
     .PRG extension are Foxpro source files.

     The files with a .FXP extension are Foxpro 2.6 object modules.  Files
     with a .APP extension, and prefixed with a "V", are Visual Foxpro
     object modules.  The "V" avoids conflict with Foxpro 2.6 FXP files.

     The files with a .DOC extension are MS Word Documents.  Files with a
     .MAN extension are ASCII output files of MS Word documents.

     ITM.MAN is the user manual.  A copy can be printed simply by typing
     "COPY ITM.MAN PRN" at the DOS prompt.  ITMCFG.MAN is the configuration
     manual.  It can be printed by typing "COPY ITMCFG.MAN PRN" at the DOS
     prompt.

     CLIENT.DBF is the client database.  It is edited by the client editor.
     It is indexed by CLIENT.CDX.  CLIENT.CDX has tags keyed by client code
     and by last name, first name.

     CPRTC.DBF is the client participant database.FORMS.DBF is the forms
     memo database.  MODEL.DBF is the central planning model.  PRTC.DBF is
     the participant database.TASK.DBF is the task description database.
     TICKLE.DBF is the client planning model database.

     SYSDATA.DBF is the system data file.  It contains the agency name, and
     address.

     SCR.DBF is the data dictionary.  It contains all the information
     defining the screen layouts.  SCR.FPT contains all the help text
     provided by the [F1] key.  It has one index, called SCR.CDX.  See
     FOXPRO.INIT:  PROG.

                                     - Page 34 -


                               Appendix A/ Data Files


     All Q*.* files belong, and are maintained, by the expression builder.
     See Record Filters.

     ITMSYS.MEM is the I-Team system memory file.  It contains system wide
     variables, including printer codes.

     FOXUSER.DBF is the foxuser resource file.  It contains all user
     attributes, including color.

     FOXERR.DBF is the Foxpro error file.  All major events are recorded
     here for debugging purposes.










































                                     - Page 35 -


                               Appendix A/ Data Files


                               Forms Memo Macros


     The following is the listing of all macros available in the forms memo
     mail merge:

     ^agency        -         Agency's name (defined in system setup)
     ^aaddress1     -         Agency's address (line one)
     ^aaddress2     -         Agency's address (line two)
     ^aaddress3     -         Agency's address (city, state, zip)
     ^acity         -         Agency's city
     ^astate        -         Agency's state
     ^azip          -         Agency's zip code
     ^aphone        -         Agency's telephone number
     ^ccode         -         Client Code
     ^cname         -         Client's full name
     ^cfname        -         Client's first name
     ^clname        -         Client's last name
     ^caddress1     -         Client's address (line one)
     ^caddress2     -         Client's address (line two)
     ^caddress3     -         Client's address (city, state, zip)
     ^ccity         -         Client's city
     ^cstate        -         Client's state
     ^czip          -         Client's zip code
     ^cphone        -         Client's telephone number
     ^cteam         -         Client's team assignment
     ^cstaff        -         Client's staff assignment
     ^cdate_comp    -         Client's completion date
     ^citm_date     -         Client's I-Team Date
     ^citm_time     -         Client's I-Team Time
     ^date          -         System Date (see system setup)
     ^day or ^dow   -         Day of the week.  Ex:  Tuesday.
     ^evbeg         -         Event's beginning date
     ^evend         -         Event's ending date
     ^itm_date      -         Event's Date
     ^itm_time      -         Event's Time
     ^pcode         -         Participant code
     ^pname         -         Participant's full name
     ^pfname        -         Participant's first name
     ^plname        -         Participant's last name
     ^paddress1     -         Participant's address (line one)
     ^paddress2     -         Participant's address (line two)
     ^paddress3     -         Participant's address (city, state, zip)
     ^pcity         -         Participant's city
     ^pstate        -         Participant's state
     ^pzip          -         Participant's zip code
     ^pphone        -         Participant's telephone number
     ^palt          -         Participant's alternate telephone number
     ^ptype         -         Participant's type (client participant file)
                              V = Verbal, W = Written, A = Attended
     ^task          -         Event's task description
     ^time          -         System time.  Ex:  12:01:00 PM
     ^today         -         System date.  Ex:  September 5, 1994
                                     - Page 36 -


                               Appendix A/ Data Files



                               CLIENT.DBF Layout


     The following is the file layout for the client database.  You may
     find it useful when using the expression builder:


     CCODE          C   6      Client code, alpha-numeric.
     LNAME          C  15      Client last name
     FNAME          C  15      Client first name
     ADDRESS1       C  25
     ADDRESS1       C  25
     CITY           C  18
     STATE          C   2
     ZIP            C  10
     ADDED          D   8      Date added stamp
     PHONE          N  10
     TEAM           N   2      Team assignment, integer
     STAFF          C  25      Primary staff person assigned
     BALFORD        N   8  2   Client starting balance [NOTE 1]
     BAL            N   8  2   Client current balance
     INCSRC1        C  20      Income source descriptions
     INCSRC2        C  20
     INCSRC3        C  20
     INCSRC4        C  20
     INCSRC5        C  20
     INCOME1        N   7  2   Income source amounts
     INCOME2        N   7  2
     INCOME3        N   7  2
     INCOME4        N   7  2
     INCOME5        N   7  2
     CFM            L   1      .t. = Created in CFM system
     SS_NO          C  11      Social Security number
     ACT_DATE       D   8      Date last active


















                                     - Page 37 -


                               Appendix A/ Data Files



                           Backup/Restore Data Files


     To insure the integrity of its data files, any major database should
     have a standardized backup procedure.  Data files should be
     periodically copied to a media, other than where they currently
     reside.  There is NO excuse for not developing a proper backup
     procedure.

     As a supplement, however, this application includes its own backup
     procedure.  To back up data, you must be in the application directory.
     At the DOS prompt type:

               BACK

     and press [Enter].  This command will copy all data files into a
     backup directory ('.\BAK').  In case of power failure, these backup
     files could be used to recover previous work.

     Restoring these backup files is simple.  To restore data, you must be
     in the application directory.  At the DOS prompt type:

               UNBACK

     and press [Enter].  This command restores all data up to the point you
     last invoked BACK.

     Note:  If you decide to store data files in a separate directory (See
     FOXPRO.INI:  DATA), make sure the data directory has a '.\BAK' backup
     directory.  You would then execute BACK and UNBACK from your data
     directory.  For convenience, you might consider coping BACK.BAT and
     UNBACK.BAT into your data directory.

     Warning:  If you ever run into a problem with this application, NEVER
     invoke the "BACK" command without first resolving the problem.  If a
     data file is corrupt, using "BACK" would only copy this corrupted file
     over a good backup file.















                                     - Page 38 -


                             Appendix B/ Error Handling


     In the course of normal events, you shouldn't see any error messages.
     But events can happen to cause an error message.  The most common
     events are:  Verification, disk space used up, printer not ready,
     multi-user, or syntax error.


                                  Verification


     When you start your application, all databases files are inspected.
     If a database file doesn't exist, it is created.  If a database file
     is missing a field, it is added.  If a field is not the correct
     length, it is lengthened.  If a structural index tag is missing or not
     in the correct order, the entire CDX file is rebuilt.

     Of course, the verification could fail.  There are many reasons for
     verification to fail.  On a network, someone could be using the
     database file(s) you're trying to update.  Or, you might not have the
     access permission to create/update database file(s) in your data
     directory.  Whatever the reason, remember that verification fails only
     when a database file needed to be changed, but could not be updated.
     In such an event, consult your system administrator.

                                Bad Record Count

     If a database file has a bad record count, the verification process
     will try to repair it.  If the database file could not be repaired,
     however, a new (and empty) database file is created.  The corrupted
     DBF file is renamed as a BAK file.  Any associated FPT file will be
     renamed as a TBK file.

     Please keep this feature in mind when you invoke your own database
     repair utility.  An empty database file doesn't necessarily mean you
     lost your data.  Your corrupted data probably resides in BAK and TBK
     files.  But, depending on the damage, you may need the header of the
     empty database file to repair your corrupted data.

     Before any repairs, I suggest creating a floppy disk or tape backup of
     your BAK and TBK files.  In fact, it might be best just to backup all
     the files found in your data directory.

     Once repairs are complete, simply rename the repaired BAK file as the
     DBF file.  Rename any associated TBK file as a FPT file.  Oh, and
     remove the associated CDX file (will be rebuilt the next time you
     start the application).








                                     - Page 39 -


                             Appendix B/ Error Handling


                           Invalid/missing memo file

     If a database file has a bad memo file, the verification process will
     take several steps to try to repair it.

     First, the original DBF file is copied to a file with a DB2 extension.
     The original FPT file will be copied to a file with a FP2 extension.
     Please keep this backup feature in mind if you invoke your own
     database repair utility.

     Next, the verification process will try to repair the FPT file header.
     If the FPT file is missing, the process will create one.  This action
     should allow the DBF file to be once again opened.

     Now a corrupted memo file may appear normal, except when you try to
     PACK a couple of times.  So as a final step, the verification process
     will create a new DBF file and will append data from the original DBF
     file.  While these steps are not foolproof, they should allow you to
     once again PACK your DBF file.

     Programmer's note: A corrupted memo file can lay dormant for years,
     until someone tries to run PACK (option A of utility menu).  My
     standard error handler now checks for error() = 41 from a PACK.  The
     error handler first allows the user to create backup files, with DB1
     and FP1 extensions.  The user is then allowed to blank out the first
     512 bytes of the memo file.  In this way, the verification process
     will be able to detect and perhaps repair the corruption.


                             Visual Foxpro DBF File

     If a database file was converted to the Visual Foxpro format, the
     Foxpro 2.6 runtime will not be able to open the file and verification
     will fail.  In such an event, run this application under the Visual
     Foxpro runtime.  Verification will then be able to open the database
     file and convert it to the Foxpro 2.6 format.

















                                     - Page 40 -


                             Appendix B/ Error Handling



                                   Disk Space


     If ever you see data records that look like garbage, you may have bad
     sectors on your hard disk.  Ask your system administrator to take a
     look at it.  The usual procedure is to back up all programs/data, and
     reformat the hard disk.  Any bad sectors found should be locked out
     and should no longer cause a problem.

     Bad data can result from lack of free space on the hard drive.  While
     you cannot start this application without a minimum amount of free
     space, it's always possible you might have used a routine that filled
     up your hard drive.  If this be the case, exit the application.  If
     you cannot get back into the application, due to lack of free space,
     have your system administrator remove all unused temporary files.  If
     you still cannot get back in, you might have to restore backup files.


                               Printer not Ready


     If you're printing a report and the printer is not on, you will get a
     message:

          Printer not ready.
          Press anything to retry, 'Q' to quit"

     Simply turn on your printer, and press any key to retry.  Your report
     should start to print.  Pressing "Q" would have aborted the report and
     returned you to the main menu.

     If you retry and still get "Printer not ready", you may have to
     perform the following DOS command:

          MODE LPT1,,P

     This command tells DOS to perform an infinite number of retries on the
     print device "LPT1".  Depending on you machine, you may also have to
     increase the Foxpro printer time-out.  See CONFIG.FP:  TIME.













                                     - Page 41 -


                             Appendix B/ Error Handling



                               Multi-User Errors


     If you running this application under the multi-user mode, you may be
     presented with two different type of error messages.  Both types have
     to do with file locking.

     For example, you may be updating a database record.  In the meantime,
     however, somebody else may have already updated that record.  When
     your update is complete, you will receive the message:

          Current record has been altered

     In that case, review the updated record and try the update again.

     Another kind of message occurs while you are performing some kind of
     transaction processing.  If you need a record that somebody else has
     locked out, you will receive the message:

          Waiting for access, press [ESC] to abort

     In this case, just wait.  Most of the time, the record you need will
     be quickly released.


                                  Syntax Error


     The last kind of problem is a syntax error.  You shouldn't ever see
     one.  In case you do, however, you will be prompted:

          [I]gnore, [R]etry, [S]uspend, or [Q]uit to Main Menu.

     Unless you're a system administrator, your best bet is to press [Q] to
     Quit to Main menu.  Pressing [Q] will automatically log the error into
     the Foxpro error file (FOXERR.DBF).

     Don't forget to tell your system administrator about the error.  As
     the author, I'll want a copy of your FOXERR.* files to determine the
     type of error that occurred and to possibly correct it.












                                     - Page 42 -


                         Appendix C/ Customizing Application


     Customizing the ITM System is simple.  It's all code.  It's
     distributed with Foxpro 2.6 FXP files.  If you wish to compile a
     standalone EXE, simply create a project and add ITM.PRG as the main
     module.  Defining the main module will automatically pull in all
     needed code.

     If you wish to modify this application, there are three program
     modules which were generated.

     First, there's DBFS.PRG.  This module was generated from an
     application called Data Wire Four.  DW4 simply takes a "snapshot" of
     all databases files/indices in the current directory, generating
     DBFS.PRG.  When executed, DBFS.PRG will create/verify all specified
     database files.

     If you don't want to use DBFS.PRG, simply create and compile an empty
     DBFS.PRG file.  Or remove all calls to the DBFS function.  This
     application can run without it.

     Second, there's a data dictionary file called SCR.DBF.  SCR.DBF
     contains all the information needed to create/maintain screen layouts
     for editors and option grids.  A program called Hard Wire Four will
     read SCR.DBF, generating SCR.PRG.  See the Hard Wire Four manual for a
     complete layout of the SCR.DBF data dictionary.

     Oh, you do not need SCR.PRG and SCR.FXP to run this application.  The
     procedures within SCRPROC.PRG can interpret the SCR.DBF data
     dictionary directly.  However, performance is greatly enhanced with
     the use of SCR.PRG.

     Finally, this application uses Robert Pope's expression builder.  This
     expression builder uses it's own data dictionary and generated code
     (see Q files: record filters).  However, Hard Wire Four has the
     documentation and utilities necessary to modify this data dictionary.



















                                     - Page 43 -


                                      GLOSSARY


     ANSI  -  American National Standards Institute.  A standard for both
          screen output and keyboard input.

     ASCII  -  American Standard Code for Information Interchange.  A
          standard 7 bit code used to represent data.

     Batch File  -  A file containing multiple DOS commands.  These
          commands are executed by DOS, one at a time, as if typed by the
          user.

     Byte  -  A unit of information.  In text form, equivalent to an ASCII
          character.

     Compiler  -  A program that converts program code from one form to
          another, usually more primitive, form.  The converted code is
          then ready for execution.

     CONFIG.FP  -  The Foxpro configuration file.  This file tells Foxpro
          where is find the resource directory.  In Foxpro for Windows, it
          called CONFIG.FPW.  In Foxpro for Macintosh, it is called
          CONFIG.FPM.

     Data Dictionary  -  A database file that defines the input/output to
          database files in an application.

     dBASE  -  Popular database management language.  The software package
          dBASE III+ is an interpreter for dBASE code.

     Disk  -  A unit where information is stored.  There are two major
          types: hard disk, and floppy disk.

     Disk Error  -  An error occurring when a program is unable to read or
          write properly to a disk.

     Diskspace  -  A unit of how much room is available on a drive.  It is
          usually measured in bytes.

     DOS  -  Disk Operating System.

     EMS  -  Refers to expanded memory.  Most 80286 computers have expanded
          memory.  80386 computers have extended memory.  There are,
          however, 80386 software drivers (QEMM for example), that can
          offer either extended or expanded memory.

     Extended  -  Extended memory.  80386 (or better) computers have
          extended memory.  The extended version of Foxpro needs at least
          three megabytes of extended memory.  The standard version of
          Foxpro requires expanded memory.

     Filespec  -  any DOS filename.ext including catalog names, passwords,
          etc.


                                     - Page 44 -


                                      GLOSSARY


     Floppy Disk  -  A self contained unit where information is stored.
          Depending on the type, floppy disks are easily transportable.
          Sometimes called a diskette.

     Foxbase  -   A dBASE III plus compatible language.

     Foxpro  -   A dBASE IV compatible language.

     FOXERR.DBF  -  The Foxpro error file.  Every major error event is
          recorded in this file.

     FOXUSER.DBF  -  A Foxpro resource directory file.  This file stores
          all the attributes of the user.  It also stores all the color
          sets available to Foxpro.

     Hard Disk  -  A self contained unit where information is stored.
          Usually not removable.

     HELP  -  A facility that provides on-line assistance in the use of a
          given program.

     Interpreter  -  A program that executes language code.  Whereas a
          compiler translates program code to executable code, an
          interpreter translates a single line of program code before
          executing it.

     Kilobyte  -  One kilobyte of memory equals 1,024 bytes.

     Megabyte  -  One megabyte of memory equals 1,024,000 bytes.

     Multi-user  -  When more one than one person is capable of
          accessing/updating the same database at the same time.

     MS-DOS  -  Microsoft Disk Operating System.

     P_CODES.DBF  -  A Foxpro runtime unit file.  This file contain printer
          code definitions for over 75 different printers.

     Sideways  -  A DOS Utility that will print text up and down instead of
          across the paper.

     Source Code  -  What a translator/compiler takes in as input.

     Syntax  -  The rules for the arrangement of statements in a
          programming language








                                     - Page 45 -


                                        Index



     (Press SPACEBAR to continue), 20
     *.ESL, 4, 5
     *.ESO, 4
     .APP, 34
     .BAT, 34
     .CDX, 34
     .DBF, 34
     .FPT, 34
     .FXP, 34
     .PRG, 34
     ???SYS.MEM, 32
     [GetEnv], 7
     ADD, 14
     ANSI, 44
     ASCII, 44
     BACK, 38
     backup, 40
     Backup/Restore Data Files, 38
     Bad Record Count, 39
     Batch File, 44
     BORDER, 15
     Byte, 44
     Character Code Color, 27
     CLIENT, 15
     CLIENT.DBF, 34
     CLIENT.DBF Layout, 37
     Color Pair List, 30
     Color Pairs, 27
     Color Schemes, 23
     color set, 22, 23
     COLOR SET, 9
     COLORSET, 16
     Compiler, 44
     CONFIG.FP, 4, 8, 44
     config.fpu, 6
     CONFIG.FPW, 8, 10
     Configuring Sideways, 33
     CPRTC.DBF, 34
     CURRENCY, 9
     DATA, 16
     data dictionary, 18, 34
     Data Dictionary, 44
     Data Wire Four, 43
     DATE, 9
     dBASE, 44
     dBASE IV, 1
     DBFS.PRG, 43
     Disk, 44
     Disk Error, 44
     Disk Space, 41
     Diskspace, 44
     DOS, 44
                                     - Page 46 -


                                        Index


     EMS, 4, 10, 44
     expanded, 10
     expression builder, 31, 37, 43
     extended, 10
     Extended, 44
     Filespec, 44
     Floppy Disk, 45
     FONTNAME, 16
     FONTSIZE, 16
     FONTSTYLE, 17
     Forms Memo Macros, 36
     FORMS.DBF, 34
     Foxbase, 45
     FOXERR.DBF, 35, 42, 45
     Foxpro, 1, 45
     Foxpro 2.6 for DOS Runtime Unit, 4
     Foxpro 2.6 for Unix Runtime Unit, 5
     Foxpro 2.6 for Windows Runtime Unit, 5
     Foxpro for windows, 10
     Foxpro for Windows, 14, 16
     Foxpro runtime unit, 4
     Foxpro Runtime Unit, 4
     Foxpro runtime unit directory, 1
     FOXPRO.INI, 7, 9, 14
     foxr.exe, 5
     FOXR.EXE, 4
     FOXRUN, 4
     FOXRW.EXE, 5
     FOXSWAP.COM, 4
     FOXTERM, 6
     FOXUSER.DBF, 12, 22, 23, 35, 45
     FOXUSER.EXE, 22
     FOXUSER2.DBF, 23
     Hard Disk, 45
     Hard Wire Four, 43
     HELP, 45
     INIT, 17
     Interpreter, 45
     Invalid/missing memo file, 40
     ITM, 1
     ITMSYS.MEM, 35
     Kilobyte, 45
     LAST, 17
     Launching Application with parameters, 7
     Launching FPD Application, 4
     Launching FPU Application, 6
     Launching FPW Application, 5
     Launching VFP Application, 7
     LIM 4.0, 10
     Linux, 6
     macros, 36
     Megabyte, 45
     MEMLIMIT, 10
                                     - Page 47 -


                                        Index


     memo, 34
     MODE, 41
     MODEL.DBF, 34
     MS-DOS, 45
     MULT, 18
     Multiple Launch, 12
     Multi-user, 45
     Multi-User Errors, 42
     network, 4, 17
     P_CODES.DBF, 4, 5, 6, 45
     P_CODES.DBF, 32
     printer control codes, 32
     Printer not Ready, 41
     PROG, 18
     PROGWORK, 10
     PRTC.DBF, 34
     Q Files
      Record Filters, 31
     Q*.*, 35
     ramdisk, 21
     read-only, 11, 12
     RECALL, 18
     REFRESH, 19
     RESOURCE, 11
     RESOURCE = ON, 12
     resource directory, 1, 11, 12
     RESTART, 19
     RGB Color, 29
     SCHEME, 20
     SCR.DBF, 34, 43
     SHARE.EXE, 11
     shared a runtime unit, 11
     Sideways, 45
     SIDEWAYS.COM, 33
     SIDEWAYS.DFT, 33
     Source Code, 45
     STATUS, 20
     SWSETUP.COM, 33
     Syntax, 45
     Syntax Error, 42
     SYSDATA.DBF, 34
     SYSMENU, 20
     system administration, 17
     system administrator, 12, 23, 39, 41, 42
     system administrators, 1
     System Memory File, 32
     TASK.DBF, 34
     TEMP, 21
     TICKLE.DBF, 34
     TIME, 13
     UNBACK, 38
     Unix, 5
     Verification, 39
                                     - Page 48 -


                                        Index


     VFP*.DLL, 6
     VFPR.EXE, 6
     VFPUSER.*, 22
     Visual Foxpro, 6, 22, 40
     Visual Foxpro DBF File, 40
     Visual Foxpro Resource File, 22
     Visual Foxpro Runtime Unit, 6














































                                     - Page 49 -  